Sync with portage [Tue Apr 30 17:28:49 MSK 2013].

mhiretskiy
root 11 years ago
parent 9764c43127
commit 6d56b7e11e

@ -1,10 +1,10 @@
#!/sbin/runscript
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/3.4/syslog-ng.rc6,v 1.1 2013/04/28 04:50:34 mr_bones_ Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/syslog-ng/files/3.4/syslog-ng.rc6,v 1.4 2013/04/29 17:39:26 mr_bones_ Exp $
SYSLOG_NG_CONFIGFILE=${SYSLOG_NG_CONFIGFILE:-/etc/syslog-ng/${RC_SVCNAME}.conf}
SYSLOG_NG_STATEFILE_DIR=${SYSLOG_NG_PIDFILE_DIR:-/var/lib/syslog-ng}
SYSLOG_NG_STATEFILE_DIR=${SYSLOG_NG_STATEFILE_DIR:-/var/lib/syslog-ng}
SYSLOG_NG_STATEFILE=${SYSLOG_NG_STATEFILE:-${SYSLOG_NG_STATEFILE_DIR}/syslog-ng.persist}
SYSLOG_NG_PIDFILE_DIR=${SYSLOG_NG_PIDFILE_DIR:-/var/run}
SYSLOG_NG_PIDFILE=${SYSLOG_NG_PIDFILE:-${SYSLOG_NG_PIDFILE_DIR}/${RC_SVCNAME}.pid}
@ -21,15 +21,10 @@ start_stop_daemon_args="--user \"${SYSLOG_NG_USER}\":\"${SYSLOG_NG_GROUP}\""
description="Syslog-ng is a syslog replacement with advanced filtering features."
description_checkconfig="Check the configuration file that will be used by \"start\""
description_reload="Reload the configuration without exiting"
required_files="${SYSLOG_NG_CONFIGFILE}"
required_dirs="${SYSLOG_NG_PIDFILE_DIR}"
depend() {
if [ ! -e "${SYSLOG_NG_CONFIGFILE}" ] ; then
eerror "You need to create ${SYSLOG_NG_CONFIGFILE} first."
eerror "An example can be found in /usr/share/doc/syslog"
return 1
fi
config "${SYSLOG_NG_CONFIGFILE}"
use clock
need hostname localmount
after bootmisc

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/tar/tar-1.26-r1.ebuild,v 1.11 2013/04/27 18:42:26 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/tar/tar-1.26-r1.ebuild,v 1.12 2013/04/29 12:08:06 pinkbyte Exp $
EAPI="3"
@ -13,7 +13,7 @@ SRC_URI="mirror://gnu/tar/${P}.tar.bz2
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="minimal nls static userland_GNU xattr"
RDEPEND="xattr? ( sys-apps/attr )"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/oclhashcat-lite-bin/oclhashcat-lite-bin-0.15.ebuild,v 1.1 2013/04/23 02:49:26 zerochaos Exp $
# $Header: /var/cvsroot/gentoo-x86/app-crypt/oclhashcat-lite-bin/oclhashcat-lite-bin-0.15.ebuild,v 1.2 2013/04/29 17:40:09 zerochaos Exp $
EAPI=5
@ -32,28 +32,7 @@ S="${WORKDIR}/${MY_P}"
RESTRICT="strip"
QA_PREBUILT="*Hashcat-lite*.bin"
src_test() {
printf "%02x" ${PV#0.} > "${S}"/eula.accepted
if use video_cards_nvidia; then
if [ ! -w /dev/nvidia0 ]; then
einfo "To run these tests, portage likely must be in the video group."
einfo "Please run \"passwd -a portage video\" if the tests will fail"
fi
./cudaExample0.sh || die
./cudaExample400.sh || die
./cudaExample500.sh || die
fi
if use video_cards_fglrx; then
./oclExample0.sh || die
./oclExample400.sh || die
./oclExample500.sh || die
fi
rm "${S}"/eula.accepted
}
src_install() {
dodoc docs/*
rm -r "${S}"/*.exe "${S}"/*.cmd "${S}"/docs || die
src_prepare() {
if use x86; then
rm oclHashcat-lite64.bin || die
rm cudaHashcat-lite64.bin || die
@ -71,8 +50,39 @@ src_install() {
rm cudaHashcat-lite*.bin || die
fi
use virtualcl || { rm vclHashcat-lite* || die; }
#I assume this is needed but I didn't check
pax-mark m *Hashcat-lite*.bin
pax-mark r *Hashcat-lite*.bin
}
src_test() {
printf "%02x" ${PV#0.} > "${S}"/eula.accepted
if use video_cards_nvidia; then
addwrite /dev/nvidia0
addwrite /dev/nvidiactl
if [ ! -w /dev/nvidia0 ]; then
einfo "To run these tests, portage likely must be in the video group."
einfo "Please run \"passwd -a portage video\" if the tests will fail"
fi
if use amd64; then
./cudaHashcat-lite64.bin 6fc33db981c6c55189bbda9625eacd6d
elif use x86; then
./cudaHashcat-lite32.bin 6fc33db981c6c55189bbda9625eacd6d
fi
fi
if use video_cards_fglrx; then
addwrite /dev/ati
if use amd64; then
./oclHashcat-lite64.bin 6fc33db981c6c55189bbda9625eacd6d
elif use x86; then
./oclHashcat-lite32.bin 6fc33db981c6c55189bbda9625eacd6d
fi
fi
rm eula.accepted cudaHashcat-lite.restore
}
src_install() {
dodoc docs/*
rm -r "${S}"/*.exe "${S}"/*.cmd "${S}"/docs || die
insinto /opt/${PN}
doins -r "${S}"/*
@ -125,7 +135,8 @@ src_install() {
done
fperms +x /opt/bin/oclhashcat-lite
fowners root:video /opt/${PN}
fowners -R root:video /opt/${PN}
fperms g+w /opt/${PN}
einfo "oclhashcat-lite can be run as user if you are in the video group"
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/oclhashcat-plus-bin/oclhashcat-plus-bin-0.14.ebuild,v 1.2 2013/04/28 02:17:02 zerochaos Exp $
# $Header: /var/cvsroot/gentoo-x86/app-crypt/oclhashcat-plus-bin/oclhashcat-plus-bin-0.14.ebuild,v 1.3 2013/04/29 16:06:38 zerochaos Exp $
EAPI=5
@ -32,41 +32,53 @@ S="${WORKDIR}/${MY_P}"
RESTRICT="strip"
QA_PREBUILT="*Hashcat-plus*.bin"
src_prepare() {
use x86 && rm *Hashcat-plus64*
use amd64 && rm *Hashcat-plus32*
use virtualcl || rm vclHashcat-plus*
if ! use video_cards_fglrx; then
rm -r kernels/4098 || die
rm oclHashcat-plus*.bin || die
fi
if ! use video_cards_nvidia; then
rm -r kernels/4318 || die
rm cudaHashcat-plus*.bin || die
fi
#paxmark goes here so test and install works
pax-mark r *Hashcat-plus*.bin
}
src_test() {
printf "%02x" ${PV#0.} > "${S}"/eula.accepted
if use video_cards_nvidia; then
addwrite /dev/nvidia0
addwrite /dev/nvidiactl
if [ ! -w /dev/nvidia0 ]; then
einfo "To run these tests, portage likely must be in the video group."
einfo "Please run \"gpasswd -a portage video\" if the tests will fail"
fi
./cudaExample0.sh || die
./cudaExample400.sh || die
./cudaExample500.sh || die
if use amd64; then
./cudaHashcat-plus64.bin -a 3 -m 1500 nQCk49SiErOgk || die
elif use x86; then
./cudaHashcat-plus32.bin -a 3 -m 1500 nQCk49SiErOgk || die
fi
fi
if use video_cards_fglrx; then
./oclExample0.sh || die
./oclExample400.sh || die
./oclExample500.sh || die
addwrite /dev/ati
if use amd64; then
./oclHashcat-plus64.bin -a 3 -m 1500 nQCk49SiErOgk || die
elif use x86; then
./oclHashcat-plus32.bin -a 3 -m 1500 nQCk49SiErOgk || die
fi
fi
rm "${S}"/eula.accepted
rm eula.accepted hashcat.pot hashcat.dictstat
}
src_install() {
dodoc docs/*
rm -r "${S}"/*.exe "${S}"/*.cmd "${S}"/docs || die
use x86 && rm *Hashcat-plus64*
use amd64 && rm *Hashcat-plus32*
use virtualcl || { rm vclHashcat-plus* || die; }
if ! use video_cards_fglrx; then
rm -r kernels/4098 || die
rm oclHashcat-plus*.bin || die
fi
if ! use video_cards_nvidia; then
rm -r kernels/4318 || die
rm cudaHashcat-plus*.bin || die
fi
pax-mark m *Hashcat-plus*.bin
insinto /opt/${PN}
doins -r "${S}"/* || die "Copy files failed"
@ -119,7 +131,8 @@ src_install() {
done
fperms +x /opt/bin/oclhashcat-plus
fowners root:video /opt/${PN}
fowners -R root:video /opt/${PN}
fperms g+w /opt/${PN}
einfo "oclhashcat-plus can be run as user if you are in the video group"
}

@ -2,3 +2,4 @@ DIST softgun-0.11.tgz 206893 SHA256 6ab9e2ff8f77c88f88bcda03849292b2e19bd797955b
DIST softgun-0.16.tgz 572445 SHA256 86dc0bdcf570233df2d54bffbdd7aa06a28593bac30550dde79ddefc10e56ef0 SHA512 c4a937ca92f44304d98b8a9375d7380c976f7357cf4ae04fdb471e99b3ea5e8194fd784a196aec130162b74091a0644788c8bbc1936e6f6d6a66518eae844fc6 WHIRLPOOL 01974c00ed4f355bb10710ff9052c8872fd4edc60b6f02dbd4a6e72bdb4e61f10065fa2d5093721336c7e3e7dedc44343a33a8012042eb3a4dff39ba2b5488e4
DIST softgun-0.19.tgz 980765 SHA256 53fdd189895ad1b3a1ba3b4e78160138678d06d4aab0319d4bfa6d89ac76f3cd SHA512 a8c4ee1a40ed2b055937be73d9173d1908d83b0f2e2f5e8c6939db07d14bb815d8868caeb58eb7ff1b0ae9be26b3feb2ee1dd076409641613acf54675b239f14 WHIRLPOOL fd7f6a25f21f2a4e75d4ba1c319123c948221f75c0bb92964db7603cc45b03cbfd8736ac0765f8193c290b02d2a4e941b58f26d665f0a09f9163a39a3a638acc
DIST softgun-0.21.tgz 1126433 SHA256 a133b6d1062545cbad78442902c9b447bc8307b08e055933fed177659b34eea5 SHA512 145c6e8407e57353212dcb7ab8193c9b5d5c7fa6271dfbe3f4637c236b07989ef61729f55850da14639dc7d7d64ad5b68c73783e634dc5d2763865977c62ca8a WHIRLPOOL a4fcaae3846ecedb863d16673630cc5b7346af010dc21fd4161b7a5a3ec8af24a1a4db018835f0b2860cc06aed4843aaba41cc47ef18a91ae5c5933e7f82be08
DIST softgun-0.22.tgz 1239881 SHA256 413d0137a3ee588ab76703058d9bc132f25b4f760ff5a97d6150ffe2f9d2e2fb SHA512 5c13840874b09aab6c0921d705c0ea94da87cc1a80d2fcbc9f329ade25f33bb2c8eba2fe284b4c3b41e70b8f258a45fc83caa296880bfa3e7870994de587e591 WHIRLPOOL cbbb2745b9e5cf72a18fcea87c604078db436ec6376c918920f31132fdfae246fea6f9279260787e25481e43013e200e19a9b7aef05ccd469caaa84c9effb34d

@ -0,0 +1,75 @@
--- softgun-0.22/config.mk
+++ softgun-0.22/config.mk
@@ -9,7 +9,7 @@ bindir=$(prefix)/bin
libdir=$(prefix)/lib/softgun/
#CFLAGS=-Wall -pg -O0 -DPROFILE
-CFLAGS=-Wall -O9 -g -fomit-frame-pointer -fno-strict-overflow -Wstrict-overflow=3 -Wno-unused-but-set-variable
-DEFS=-D_GNU_SOURCE
+CFLAGS+=-Wall -fno-strict-overflow -Wstrict-overflow=3 -Wno-unused-but-set-variable -fno-strict-aliasing
+DEFS=$(CPPFLAGS) -D_GNU_SOURCE
INCLUDES:=-I$(top_srcdir) -I.
@@ -17,15 +17,16 @@ INCLUDES:=-I$(top_srcdir) -I.
# to omit stack protection symbol in object file
SHAREDCFLAGS=-fPIC -nostdlib -D_SHARED_
SHAREDLDFLAGS=-nostdlib -shared
-CYGWIN=$(findstring CYGWIN,$(shell uname))
-ifeq ($(shell uname),Linux)
-LDFLAGS=-lpthread -lrt -lm -lz -lasound
+UNAME=$(shell uname)
+CYGWIN=$(findstring CYGWIN,$(UNAME))
+ifeq ($(UNAME),Linux)
+LDLIBS=-lpthread -ldl -lrt -lm -lz -lasound
else
- ifeq ($(shell uname),FreeBSD)
- LDFLAGS=-lpthread -lm -lz -lSDL
+ ifeq ($(UNAME),FreeBSD)
+ LDLIBS=-lpthread -lm -lz -lSDL
else
ifeq ($(CYGWIN),CYGWIN)
- LDFLAGS=-lpthread -lrt -lm -lz
+ LDLIBS=-lpthread -lrt -lm -lz
else
$(error "Unknown architecture $(shell uname)")
endif
--- softgun-0.22/Makefile
+++ softgun-0.22/Makefile
@@ -116,7 +116,7 @@
softgun: $(OBJS)
- $(CC) $(CFLAGS) $^ -o $@ $(LDFLAGS)
+ $(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@ $(LDLIBS)
boards/libboards.a:
$(MAKE) -C boards libboards.a
--- softgun-0.22/printer/module.mk
+++ softgun-0.22/printer/module.mk
@@ -5,5 +5,5 @@
INSTALL_BINS += pcl3gui2png
pcl3gui2png: $(PRINTER_OBJS) printer/pcl3gui2png.c
- $(CC) -o $@ $(PRINTER_OBJS) printer/pcl3gui2png.c
+ $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^
--- softgun-0.22/tools/Makefile
+++ softgun-0.22/tools/Makefile
@@ -2,7 +2,7 @@ include ../config.mk
ifeq ($(shell uname),Linux)
sg_tunctl: tunctl.c
- $(CC) $(CFLAGS) tunctl.c -o sg_tunctl
+ $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^
install:
install -m 0755 sg_tunctl $(bindir)
@@ -14,7 +14,7 @@ install:
endif
to_c_array: to_c_array.c
- $(CC) $(CFLAGS) to_c_array.c -o to_c_array
+ $(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) -o $@ $^
clean:

@ -0,0 +1,30 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/softgun/softgun-0.22.ebuild,v 1.1 2013/04/30 03:24:33 vapier Exp $
EAPI="4"
inherit toolchain-funcs eutils
DESCRIPTION="ARM software emulator"
HOMEPAGE="http://softgun.sourceforge.net/"
SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
src_prepare() {
epatch "${FILESDIR}"/${PN}-0.22-make.patch
}
src_compile() {
emake CC="$(tc-getCC)"
}
src_install() {
dodir /usr/bin
emake install prefix="${D}/usr"
dodoc README configs/*.sg
}

@ -1,10 +1,11 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/ibus-anthy/ibus-anthy-1.5.0.ebuild,v 1.2 2013/02/09 13:04:49 naota Exp $
# $Header: /var/cvsroot/gentoo-x86/app-i18n/ibus-anthy/ibus-anthy-1.5.0.ebuild,v 1.3 2013/04/29 12:13:35 naota Exp $
EAPI=5
PYTHON_DEPEND="2:2.5"
inherit eutils python autotools gnome2-utils
PYTHON_COMPAT=( python{2_5,2_6,2_7} )
inherit eutils python-single-r1 autotools gnome2-utils
DESCRIPTION="Japanese input method Anthy IMEngine for IBus Framework"
HOMEPAGE="http://code.google.com/p/ibus/"
@ -16,7 +17,8 @@ SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="deprecated nls"
RDEPEND=">=app-i18n/ibus-1.5.0
RDEPEND="${PYTHON_DEPS}
>=app-i18n/ibus-1.5.0
app-i18n/anthy
deprecated? ( >=dev-python/pygtk-2.15.2 )
nls? ( virtual/libintl )"
@ -27,15 +29,8 @@ DEPEND="${RDEPEND}
deprecated? ( dev-lang/swig )
nls? ( >=sys-devel/gettext-0.16.1 )"
pkg_setup() {
python_set_active_version 2
python_pkg_setup
}
src_prepare() {
>py-compile #397497
sed -i -e "s/python/python2/" \
engine/ibus-engine-anthy.in setup/ibus-setup-anthy.in || die
epatch "${FILESDIR}"/${P}-configure.patch
eautoreconf
cp "${DISTDIR}"/anthy.i "${S}"/engine # deal with packaging bug
@ -66,10 +61,9 @@ pkg_postinst() {
elog "# emerge app-dicts/kasumi"
elog
python_mod_optimize /usr/share/${PN}
python_optimize
}
pkg_postrm() {
python_mod_cleanup /usr/share/${PN}
gnome2_icon_cache_update
}

@ -0,0 +1,23 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-leechcraft/lc-hotsensors/lc-hotsensors-9999.ebuild,v 1.1 2013/04/30 08:01:26 pinkbyte Exp $
EAPI="5"
inherit leechcraft
DESCRIPTION="Temperature sensors monitor plugin for LeechCraft"
# We should define license for this plugin explicitly
LICENSE="GPL-3"
SLOT="0"
KEYWORDS=""
IUSE="debug"
DEPEND="~app-leechcraft/lc-core-${PV}
~virtual/leechcraft-quark-sideprovider-${PV}
dev-qt/qtdeclarative:4
x11-libs/qwt:6
sys-apps/lm_sensors
"
RDEPEND="${DEPEND}"

@ -0,0 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>leechcraft</herd>
</pkgmetadata>

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-l10n/libreoffice-l10n-3.6.6.2.ebuild,v 1.1 2013/04/09 11:42:21 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice-l10n/libreoffice-l10n-3.6.6.2.ebuild,v 1.2 2013/04/29 13:09:23 ago Exp $
EAPI=4
@ -14,7 +14,7 @@ BASE_SRC_URI="http://download.documentfoundation.org/${PN/-l10n/}/testing/${MY_P
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
IUSE="offlinehelp"
LANGUAGES_HELP="ast bg bn_IN bn bo bs ca_XV ca cs da de dz el en_GB en en_ZA eo

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.4.3.ebuild,v 1.6 2012/12/19 20:22:04 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.4.3.ebuild,v 1.7 2013/04/29 13:24:57 ago Exp $
EAPI=4
@ -90,7 +90,8 @@ unset lo_xt
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${PV} == *9999* ]] || KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux ~x86-linux"
[[ ${PV} == *9999* ]] || \
KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux ~x86-linux"
COMMON_DEPEND="
app-arch/zip

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.6.2.ebuild,v 1.1 2013/04/09 11:38:53 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.6.2.ebuild,v 1.3 2013/04/29 13:24:57 ago Exp $
EAPI=5
@ -90,7 +90,8 @@ unset lo_xt
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
[[ ${PV} == *9999* ]] || \
KEYWORDS="amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
COMMON_DEPEND="
${PYTHON_DEPS}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.9999.ebuild,v 1.40 2013/03/12 21:22:49 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.6.9999.ebuild,v 1.41 2013/04/29 13:24:57 ago Exp $
EAPI=5
@ -90,7 +90,8 @@ unset lo_xt
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
COMMON_DEPEND="
${PYTHON_DEPS}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.0.2.2.ebuild,v 1.3 2013/04/19 10:42:14 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.0.2.2.ebuild,v 1.4 2013/04/29 13:24:57 ago Exp $
EAPI=5
@ -90,7 +90,8 @@ unset lo_xt
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
COMMON_DEPEND="
${PYTHON_DEPS}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.0.9999.ebuild,v 1.28 2013/04/26 18:53:09 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.0.9999.ebuild,v 1.29 2013/04/29 13:24:57 ago Exp $
EAPI=5
@ -90,7 +90,8 @@ unset lo_xt
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
COMMON_DEPEND="
${PYTHON_DEPS}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.170 2013/04/24 12:40:32 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-9999-r2.ebuild,v 1.171 2013/04/29 13:24:57 ago Exp $
EAPI=5
@ -88,7 +88,8 @@ unset lo_xt
LICENSE="|| ( LGPL-3 MPL-1.1 )"
SLOT="0"
[[ ${PV} == *9999* ]] || KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
[[ ${PV} == *9999* ]] || \
KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
COMMON_DEPEND="
${PYTHON_DEPS}

@ -3,6 +3,7 @@ DIST portage-utils-0.11.tar.xz 388004 SHA256 5bd1abe328c6ea82177289143a9be026afa
DIST portage-utils-0.20.tar.xz 385328 SHA256 bfe774047f09a746334648a8630321aaf8d190538ea2942bdd0f509ce74885c9 SHA512 a78ea515e9094e62ecb69ddc46d06efa1cd472f2288d9df8626e0e4a0605819197a3f5ae7a6802aa26698e9cb68606574e71d99aa8d1fab54cc0b58a3f181934 WHIRLPOOL d11b9564dfca159b8857bc21c207be6fbd7de578a28bd9100a7d5de6e6280c904611f2a9c9b88b624c21372916241d76b8f460acf7fd8798574bc4307d5413da
DIST portage-utils-0.21.tar.xz 387396 SHA256 7531ef71e82fd1a4f26fc93d8ee1f51ae9d1413626064ae5e3e95b2d875a7e23 SHA512 9f42d03356802b1829ef47d44e1e1e81006601012d72e54ff3fb0a963081241338097101c6d26ba94c61572150e5f560d23f8478240aba802c16ab8a225a10e6 WHIRLPOOL ff32a0b30094af149177ee2a000b54e31dfe8c3637eaf3be1a155c3752725e08a35f8d2dcc0e5558c661ef65c8fdccb3bd9406636f5cb569c1d6fb884facd242
DIST portage-utils-0.3.1.tar.bz2 89122 SHA256 2e14e795e2bfd9078e6b40f8e4fbd183af5ac9f02e8a2140aaa1a92bbf8cc493 SHA512 0b9e246ad1caf380a574a957afc2f68c9879f4db55e90325177261d3488b4afad1638fd7f4c77f1bb30d1c6dd885873c124a2d5fff5829d0c55de8a214eb0ecc WHIRLPOOL dc879052524088c5b096415fe3af06d7c3f6be3648d4043dbb7f58fc53846a5d68bcbe035404d4bc608d760da2d82c5c1ac3406f790d984d17daf25546bb13a9
DIST portage-utils-0.30.tar.xz 398144 SHA256 07a8ce13810464b019d3252c1857e4d12e40f0f8317f5b8ac3249f39bd338ad7 SHA512 b6e3194cf8c939804991ed91b18a5deaaed49ada2ea9c03348f36b58603ed39cebfa68923843d5b0c575bdb978fa4f178c318569bef8665a982973bcdfa52591 WHIRLPOOL 6c95a559e752f1572e236418022951fcbb32c225cc8937c339107e2c172dfc10d86fa6680024b250e2c9d945d5ea9cbc1921f67e13143ad7652db9f3487dc14d
DIST portage-utils-0.4.tar.bz2 89409 SHA256 334af67cadb485db2f7269458fd7cc7f3c03742dd420b85ed1b2536735fdc645 SHA512 6c61f383b8fbf187acb1de22c94f885790fa5c9699613ae67f619c925521bef286d4781237a092cfbcd25671acd48d5c3a8efc928aece810f1ee779ca41d6874 WHIRLPOOL 2bae830d9cb6e91b58775e79f059b95bb1480a918f5f8f4a47e6c8283644d2101451759cf662816b8b64e199e04db0a80ca65e9ba1ab23dafae12346f3d0995e
DIST portage-utils-0.5.tar.xz 99916 SHA256 be8992cc7f4cfc0225d773065ce4c75b1bc6d7c1cab9e44862716f7f697b76bf SHA512 6f72e2b08f46df1ae29047e4cb8137c649ca4bf4b99eec31031986c5b2ee1d9f615a716bf96a1114bda5dec47e56123fefaa2ce8cffe30338c1264e9154c2276 WHIRLPOOL 88a9309216750cb0a143236a3c395d2dd9e5e38213963312d5ea232e250a8cc632184da2de9010fcdee373504855d24819d6615b60af287239fbd693e562cbe3
DIST portage-utils-0.6.tar.xz 101672 SHA256 1c902be00679910c04cf70ef2d765388213c7bb339ffd47c660e681a6eac88a1 SHA512 b6b11741bf6bd94f9dbd5418468c47f1410ef192ad37f8764364869c52ce9dbb15db12099965d06e0daf4c26d214b12e230f2c85ce1e00fc85d1415b93ec81e5 WHIRLPOOL f0c21db0a32859f80695280a97ba90327c30aa691c68be5ec224f9a2d389cd3042becef31fd896596281404f86f80fb0ab15f33bf56206711363771bf815cfb7

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.21.ebuild,v 1.4 2013/04/29 05:39:43 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.21.ebuild,v 1.5 2013/04/30 04:23:55 vapier Exp $
EAPI="3"
@ -12,7 +12,7 @@ SRC_URI="mirror://gentoo/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static"
DEPEND="app-arch/xz-utils"

@ -0,0 +1,68 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/portage-utils/portage-utils-0.30.ebuild,v 1.1 2013/04/30 04:23:55 vapier Exp $
EAPI="3"
inherit flag-o-matic toolchain-funcs
DESCRIPTION="small and fast portage helper tools written in C"
HOMEPAGE="http://www.gentoo.org/"
SRC_URI="mirror://gentoo/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static"
DEPEND="app-arch/xz-utils"
RDEPEND=""
src_configure() {
use static && append-ldflags -static
# Avoid slow configure+gnulib+make if on an up-to-date Linux system
if use prefix || ! use kernel_linux || \
has_version '<sys-libs/glibc-2.10'
then
econf --with-eprefix="${EPREFIX}"
else
tc-export CC
fi
}
src_install() {
emake install DESTDIR="${D}" || die
prepalldocs
exeinto /etc/portage/bin
doexe "${FILESDIR}"/post_sync || die
insinto /etc/portage/postsync.d
doins "${FILESDIR}"/q-reinitialize || die
# Portage fixes shebangs, we just need to fix the paths in the files
sed -i \
-e "s:\(/etc/portage/postsync.d\|/usr/bin/q\):${EPREFIX}&:g" \
"${ED}"/etc/portage/bin/post_sync \
"${ED}"/etc/portage/postsync.d/q-reinitialize || die
}
pkg_preinst() {
# preserve +x bit on postsync files #301721
local x
pushd "${ED}" >/dev/null
for x in etc/portage/postsync.d/* ; do
[[ -x ${EROOT}/${x} ]] && chmod +x "${x}"
done
}
pkg_postinst() {
if [[ -z ${REPLACING_VERSIONS} ]] ; then
elog "${EPREFIX}/etc/portage/postsync.d/q-reinitialize has been installed for convenience"
elog "If you wish for it to be automatically run at the end of every --sync:"
elog " # chmod +x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
elog "Normally this should only take a few seconds to run but file systems"
elog "such as ext3 can take a lot longer. To disable, simply do:"
elog " # chmod -x ${EPREFIX}/etc/portage/postsync.d/q-reinitialize"
fi
}

@ -1,3 +1,4 @@
DIST wgetpaste-2.19.tar.bz2 9960 SHA256 bb832557fca3be838838a87d790cb535974ea70bd2393818201676212f0f3b5a SHA512 66722faac50d5e33318a5c1dc5a6a2be89f348f9e2120a97de76adcdcaf9d96bf2a71f8e0407ce72bb6473ede5f9a9d755db6ed0dede585a2851fcee8caef2c4 WHIRLPOOL 1fd62492ae25ef05f049aae5fd4d5b3508934b744b487bb297cdf5a4d304f7b5f3de4427127d02c928389dbab7e3783bbdae24f27aafeac34580df3f9de7aaf7
DIST wgetpaste-2.20.tar.bz2 10104 SHA256 7a53836d02e07cefc3c2978bb129a037fa1e1222ba0e275c4e818230a6d6fb9e SHA512 4d7042a77a7594ed42ebcc5bd75ff04548c5007656402f1934047f557fb3b01db5d21430eb62e25ca785c3c79dcdb3c8ccb8452d60f930b617f33f387111433d WHIRLPOOL 9bdfa014d61d873b98e75477046ecc06cbd3f6900e547d0af823b5c1865198742ad80891b977ae50090eb5c1d53bb56b6d2d5ee41d0982dfff46cc6022014d32
DIST wgetpaste-2.21.tar.bz2 10102 SHA256 6e7ab50a16adb7dde6dc09681d9b2a3b53858251cdd007dd5d05007d694649c8 SHA512 61fe415369f9ac59c835ab7ff8e3be256fd052233dc82ad5f4791180f6cd3238323f1a23b1496fa29c23a7945c499e240f381e2038b5b4bfcce9423a2db7f551 WHIRLPOOL ce851208f0df9c3a8932c23d1079dc7d4eb7d0eca384be9a28589c01bbcbcb2fb82b7cc39074618d6886443b33f2bbbe58dfccd9b1d8c022aeb2da9e9fb43be1
DIST wgetpaste-2.22.tar.bz2 10842 SHA256 a903d4b93e487046226ad77037a28cb5f6cf2465bf212e5edf568c4135f6fe05 SHA512 4a9fd56b1d4924a863d10af38721469ac0116cb05b5e5e79f5ecf149ba2af69acf79a30bc66450b9363b2fa7116b20222073dc8d7bc1e7dbab79981e6ce80396 WHIRLPOOL c25fc58c0e0a01b0960ebb07e270c7c8136d1589f16eae9c1e94c614260b479abdbf5255d60d9ebe477c5acd201f0e598f69a3501cd127fb7f42e9a80b443d77

@ -0,0 +1,34 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/wgetpaste/wgetpaste-2.22.ebuild,v 1.1 2013/04/29 19:12:45 maksbotan Exp $
EAPI="4"
DESCRIPTION="Command-line interface to various pastebins"
HOMEPAGE="http://wgetpaste.zlin.dk/"
SRC_URI="http://wgetpaste.zlin.dk/${P}.tar.bz2"
LICENSE="public-domain"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~x64-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="zsh-completion +lodgeit-default"
DEPEND=""
RDEPEND="net-misc/wget
zsh-completion? ( app-shells/zsh )"
src_prepare() {
sed -i -e "s:/etc:\"${EPREFIX}\"/etc:g" wgetpaste || die
}
src_install() {
dobin ${PN}
insinto /etc/wgetpaste.d
newins "${FILESDIR}"/wgetpaste-config-services services.conf
use lodgeit-default && \
newins "${FILESDIR}"/wgetpaste-config-default-lodgeit gentoo-default.conf
if use zsh-completion ; then
insinto /usr/share/zsh/site-functions
doins _wgetpaste
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r2.ebuild,v 1.8 2012/03/08 14:57:22 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r2.ebuild,v 1.9 2013/04/30 01:01:59 jer Exp $
DESCRIPTION="Gentoo MySQL init scripts."
HOMEPAGE="http://www.gentoo.org/"
@ -36,8 +36,8 @@ pkg_postinst() {
egrep -sq 'MY_ARGS|STOP_TIMEOUT' "${ROOT}"/etc/init.d/mysql
new_init_present=$?
einfo "Please note if you are using multiple internal 'slots' in the old"
einfo "conf.d fille, that you should use multiple init files now."
einfo "Please note that if you are using multiple internal 'slots' in the"
einfo "old conf.d file, you should use multiple init files now."
echo old $old_conf_present $old_init_present
echo new $new_conf_present $new_init_present

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r3.ebuild,v 1.1 2013/01/18 01:51:47 robbat2 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r3.ebuild,v 1.3 2013/04/30 01:03:45 jer Exp $
DESCRIPTION="Gentoo MySQL init scripts."
HOMEPAGE="http://www.gentoo.org/"
@ -8,7 +8,7 @@ SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha ~amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""
@ -36,8 +36,8 @@ pkg_postinst() {
egrep -sq 'MY_ARGS|STOP_TIMEOUT' "${ROOT}"/etc/init.d/mysql
new_init_present=$?
einfo "Please note if you are using multiple internal 'slots' in the old"
einfo "conf.d fille, that you should use multiple init files now."
einfo "Please note that if you are using multiple internal 'slots' in the"
einfo "old conf.d file, you should use multiple init files now."
echo old $old_conf_present $old_init_present
echo new $new_conf_present $new_init_present

@ -1,5 +1,2 @@
DIST orc-0.4.10.tar.gz 664830 SHA256 5001a0034edc06800b546246fbe0407ba6e9759c9583d5d93adba3557b6a777e SHA512 bf33152d07e3f05a5b7f9d4de607054c8872e44f06f1ead2963044b24b0adfd69ca91f4c46b6af9d540fa846b1b40f01ffaf774243566915ec500329c46c173b WHIRLPOOL 24d1b1c3f1f85e491ade791252a4dbc8da266959b0b381b382651ba0ef2b5ea805295f0932407ef39b83407a1181aa6dfce1c88cfe063eda0d68f02018c085e8
DIST orc-0.4.11.tar.gz 676224 SHA256 6ec60521a11339eda36f1e2210d08ae95010d769575e471aaf365b89bca8d031 SHA512 8e54e682b9e509deff709aef2bee3de3a632949284b62c0c74407ed5fdc651f61b07ff476fd4a9ebdc5fb597349af5546ba9a9ace4b33aee36eee902319d56bb WHIRLPOOL 21e98a53a62f2e3a2c77189a2728ba370f3cd7b954dae8c520856b57a34ae2106ddfd329f0f2153bb997f32d720176aa4a6b806aac93896cf12d99c48be4805c
DIST orc-0.4.14.tar.gz 660407 SHA256 6b0c536984871954364976516ea0328e2dcd856111726a23e609504ba2b12313 SHA512 961d71caeff340ac3d98aedad398f7f87eaf7d41a7c136a14a15a7ef3713bbd109ce35642e4f8275ceb9bff2796288bf85b5bd183a4dac600f0ba8f8e8ef9fb6 WHIRLPOOL ace652a92f476e5c2fcb4847d69022ebcaa688a6d6923e7cd332474e4f60e6a10b4b33fe5ac8c2ddca7fb073208e7052046a8d793ea31ee78f87913ddd8192a9
DIST orc-0.4.16.tar.gz 668368 SHA256 700e4edba20a0ed42164b645da26ce515b883d4c4633b222302f1e541f2a58ab SHA512 e9d3c4e8682119253c201addcd2cb623a61e45d7cb8b0b406a3509f1a9443af9375a418a68f832d29af4a523cd91bf702bdd002cf143be0f7cc9f5a0b77f7ae0 WHIRLPOOL 43e3fafb9869f2f1c678cdb457b958a2ef6955344f71a3377e319c8d42f5ca269e9d4c57a85a792959a6e50d60023bf6717bd8461270b1526aa55cb9657d5012
DIST orc-0.4.9.tar.gz 654699 SHA256 aac7af5d37ce87b1d3d014822f2e2b6be83daff4d752f56a45766e5a807e6b53 SHA512 1bfde04fa83ae441c3f0051f4d9d6397e231a17428a26c1694111f7531d8692a64ee032cbc003273996e059c315185f871842c1c5eed5962aec05f1c9601bc46 WHIRLPOOL f9c02f88b6b695382b44f80e26c1c455fe911b80913c00f050efdd54d605309056b91e6b53049983d2440b2a3dc2a84b3e30dd5ff4b4df6b0c1b21eeef8c6ae6
DIST orc-0.4.17.tar.gz 724990 SHA256 4fc7cca48c59fff23afee78fb642cdbde001f56401c8f47b95a16578d1d5d7e8 SHA512 3a69da6d39e80dd68570aeac341aed692c041c1cfd91abbc36a269167a9b97b5ab539b873dbf800d4735da276e3aa43d664a7efb13559124e0862d2fc2202306 WHIRLPOOL 99f74f986f5c67d622c3bff8b186a7b5b873997bc455c405a50cb3453ebe162a203ffea9acd2e153a47bac19a5dafe3d4050f8b2b5ed6155499be7627ae46b93

@ -0,0 +1,28 @@
From 8905d3d5bf8005944268c3500eec20b61923de89 Mon Sep 17 00:00:00 2001
From: Josep Torra <n770galaxy@gmail.com>
Date: Sat, 30 Mar 2013 12:52:33 +0100
Subject: [PATCH] configure: replace deprecated AM_CONFIG_HEADER with
AC_CONFIG_HEADERS
AM_CONFIG_HEADER has been removed in the just-released automake 1.13:
https://lists.gnu.org/archive/html/automake/2012-12/msg00038.html
---
configure.ac | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/configure.ac b/configure.ac
index 89812ba..4ebebd1 100644
--- a/configure.ac
+++ b/configure.ac
@@ -10,7 +10,7 @@ AM_INIT_AUTOMAKE(1.6)
ORC_MAJORMINOR=0.4
AC_SUBST(ORC_MAJORMINOR)
-AM_CONFIG_HEADER(config.h)
+AC_CONFIG_HEADER(config.h)
dnl CURRENT, REVISION, AGE
dnl - library source changed -> increment REVISION
--
1.8.2.1

@ -1,34 +0,0 @@
From 81d0728db9d7442407c0d308ff1501d5778a14ed Mon Sep 17 00:00:00 2001
From: Arun Raghavan <ford_prefect@gentoo.org>
Date: Wed, 8 Sep 2010 22:59:53 +0530
Subject: [PATCH] configure: Make valgrind header check optional
---
configure.ac | 11 ++++++++++-
1 files changed, 10 insertions(+), 1 deletions(-)
diff --git a/configure.ac b/configure.ac
index 417b56b..ecfd2d4 100644
--- a/configure.ac
+++ b/configure.ac
@@ -84,7 +84,16 @@ if test "$orc_cv_monotonic_clock" = "yes"; then
AC_DEFINE(HAVE_MONOTONIC_CLOCK,1,[Defined if we have a monotonic clock])
fi
-AC_CHECK_HEADERS([valgrind/valgrind.h])
+AC_ARG_ENABLE([valgrind],
+ AC_HELP_STRING([--enable-valgrind],[enable valgrind support (default: auto)]),
+ [], [enable_valgrind=auto])
+if test "x${enable_valgrind}" != "xno"; then
+ AC_CHECK_HEADERS([valgrind/valgrind.h],
+ [found_valgrind_h=yes], [found_valgrind_h=no])
+ if test "x${enable_valgrind}" = "xyes" -a "x${found_valgrind_h}" = "no"; then
+ AC_MSG_ERROR([Valgrind support requested, but valgrind/valgrind.h not found. Have you installed the valgrind development package?])
+ fi
+fi
AS_COMPILER_FLAG(-Wall, ORC_CFLAGS="$ORC_CFLAGS -Wall")
if test "x$ORC_CVS" = "xyes"
--
1.7.2.2

@ -1,36 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.10.ebuild,v 1.2 2012/11/09 17:38:42 tetromino Exp $
EAPI=3
inherit autotools
DESCRIPTION="The Oil Runtime Compiler, a just-in-time compiler for array operations"
HOMEPAGE="http://code.entropywave.com/projects/orc/"
SRC_URI="http://code.entropywave.com/download/orc/${P}.tar.gz"
LICENSE="BSD BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs examples"
src_prepare() {
if ! use examples; then
sed -i -e '/SUBDIRS/s:examples::' Makefile.am || die
AT_M4DIR="m4" eautoreconf
fi
}
src_configure() {
econf \
$(use_enable static-libs static) \
--disable-dependency-tracking \
--with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
}
src_install() {
emake DESTDIR="${D}" install || die
dodoc README TODO
find "${ED}" -name '*.la' -delete
}

@ -1,41 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.11.ebuild,v 1.7 2012/11/09 17:38:42 tetromino Exp $
EAPI=3
inherit autotools flag-o-matic
DESCRIPTION="The Oil Runtime Compiler, a just-in-time compiler for array operations"
HOMEPAGE="http://code.entropywave.com/projects/orc/"
SRC_URI="http://code.entropywave.com/download/orc/${P}.tar.gz"
LICENSE="BSD BSD-2"
SLOT="0"
KEYWORDS="amd64 ~arm x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs examples"
src_prepare() {
if ! use examples; then
sed -i -e '/SUBDIRS/s:examples::' Makefile.am || die
AT_M4DIR="m4" eautoreconf
fi
}
src_configure() {
# any optimisation on PPC/Darwin yields in a complaint from the assembler
# Parameter error: r0 not allowed for parameter %lu (code as 0 not r0)
# the same for Intel/Darwin, although the error message there is different
# but along the same lines
[[ ${CHOST} == *-darwin* ]] && filter-flags -O*
econf \
$(use_enable static-libs static) \
--disable-dependency-tracking \
--with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
}
src_install() {
emake DESTDIR="${D}" install || die
dodoc README TODO
find "${ED}" -name '*.la' -delete
}

@ -1,41 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.14.ebuild,v 1.6 2012/11/09 17:38:42 tetromino Exp $
EAPI=3
inherit autotools flag-o-matic
DESCRIPTION="The Oil Runtime Compiler, a just-in-time compiler for array operations"
HOMEPAGE="http://code.entropywave.com/projects/orc/"
SRC_URI="http://code.entropywave.com/download/orc/${P}.tar.gz"
LICENSE="BSD BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~arm hppa ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs examples"
src_prepare() {
if ! use examples; then
sed -i -e '/SUBDIRS/s:examples::' Makefile.am || die
AT_M4DIR="m4" eautoreconf
fi
}
src_configure() {
# any optimisation on PPC/Darwin yields in a complaint from the assembler
# Parameter error: r0 not allowed for parameter %lu (code as 0 not r0)
# the same for Intel/Darwin, although the error message there is different
# but along the same lines
[[ ${CHOST} == *-darwin* ]] && filter-flags -O*
econf \
$(use_enable static-libs static) \
--disable-dependency-tracking \
--with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
}
src_install() {
emake DESTDIR="${D}" install || die
dodoc README TODO
find "${ED}" -name '*.la' -delete
}

@ -1,9 +1,9 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.16-r1.ebuild,v 1.5 2012/12/04 15:37:34 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.16-r1.ebuild,v 1.6 2013/04/29 13:49:11 tetromino Exp $
EAPI=4
inherit autotools flag-o-matic
inherit autotools eutils flag-o-matic
DESCRIPTION="The Oil Runtime Compiler, a just-in-time compiler for array operations"
HOMEPAGE="http://code.entropywave.com/projects/orc/"
@ -21,6 +21,7 @@ DEPEND="${RDEPEND}
src_prepare() {
if ! use examples; then
sed -i -e '/SUBDIRS/s:examples::' Makefile.am || die
epatch "${FILESDIR}/${PN}-0.4.17-AM_CONFIG_HEADER.patch" # in 0.4.18
AT_M4DIR="m4" eautoreconf
fi
}

@ -1,9 +1,9 @@
# Copyright 1999-2012 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.16.ebuild,v 1.3 2012/11/09 17:38:42 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.17.ebuild,v 1.1 2013/04/29 13:49:11 tetromino Exp $
EAPI=4
inherit autotools flag-o-matic
EAPI="5"
inherit autotools eutils flag-o-matic
DESCRIPTION="The Oil Runtime Compiler, a just-in-time compiler for array operations"
HOMEPAGE="http://code.entropywave.com/projects/orc/"
@ -14,9 +14,14 @@ SLOT="0"
KEYWORDS="~amd64 ~arm ~hppa ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs examples"
RDEPEND=""
DEPEND="${RDEPEND}
dev-util/gtk-doc-am"
src_prepare() {
if ! use examples; then
sed -i -e '/SUBDIRS/s:examples::' Makefile.am || die
epatch "${FILESDIR}/${P}-AM_CONFIG_HEADER.patch" # in 0.4.18
AT_M4DIR="m4" eautoreconf
fi
}
@ -28,12 +33,10 @@ src_configure() {
# but along the same lines
[[ ${CHOST} == *-darwin* ]] && filter-flags -O*
econf \
$(use_enable static-libs static) \
--with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
$(use_enable static-libs static)
}
src_install() {
default
find "${ED}" -name '*.la' -delete
prune_libtool_files
}

@ -1,40 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/orc/orc-0.4.9.ebuild,v 1.3 2012/11/09 17:38:42 tetromino Exp $
EAPI=3
inherit autotools eutils
DESCRIPTION="The Oil Runtime Compiler, a just-in-time compiler for array operations"
HOMEPAGE="http://code.entropywave.com/projects/orc/"
SRC_URI="http://code.entropywave.com/download/orc/${P}.tar.gz"
LICENSE="BSD BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86 ~amd64-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="static-libs examples"
src_prepare() {
if ! use examples; then
sed -i -e '/SUBDIRS/s:examples::' Makefile.am || die
fi
epatch "${FILESDIR}/${P}-make-valgrind-optional.patch"
AT_M4DIR="m4" eautoreconf
}
src_configure() {
econf \
$(use_enable static-libs static) \
--disable-dependency-tracking \
--disable-valgrind \
--with-html-dir="${EPREFIX}"/usr/share/doc/${PF}/html
}
src_install() {
emake DESTDIR="${D}" install || die
dodoc README TODO
find "${ED}" -name '*.la' -delete
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.18.1.ebuild,v 1.2 2013/04/27 10:47:03 grobian Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.18.1.ebuild,v 1.3 2013/04/29 18:56:35 phajdan.jr Exp $
EAPI="5"
PYTHON_COMPAT=( python2_{6,7} )
@ -88,11 +88,11 @@ src_compile() {
# Build mksnapshot so we can pax-mark it.
emake "${makeargs[@]}" mksnapshot.${myarch}
pax-mark m out/Release/mksnapshot
pax-mark m out/Release/mksnapshot.${myarch}
# Build everything else.
emake "${makeargs[@]}"
pax-mark m out/Release/{cctest,d8}
pax-mark m out/Release/{cctest,d8,preparser}
}
src_test() {
@ -132,7 +132,7 @@ src_install() {
dolib out/Release/lib.target/libv8$(get_libname ${soname_version})
dosym libv8$(get_libname ${soname_version}) /usr/$(get_libdir)/libv8$(get_libname)
dodoc AUTHORS ChangeLog || die
dodoc AUTHORS ChangeLog
}
# TODO: remove functions below after they are removed from chromium.eclass'

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-9999.ebuild,v 1.44 2013/04/23 00:23:55 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-9999.ebuild,v 1.45 2013/04/29 18:56:35 phajdan.jr Exp $
EAPI="5"
PYTHON_COMPAT=( python2_{6,7} )
@ -89,11 +89,11 @@ src_compile() {
# Build mksnapshot so we can pax-mark it.
emake "${makeargs[@]}" mksnapshot.${myarch}
pax-mark m out/Release/mksnapshot
pax-mark m out/Release/mksnapshot.${myarch}
# Build everything else.
emake "${makeargs[@]}"
pax-mark m out/Release/{cctest,d8}
pax-mark m out/Release/{cctest,d8,preparser}
}
src_test() {
@ -133,7 +133,7 @@ src_install() {
dolib out/Release/lib.target/libv8$(get_libname ${soname_version})
dosym libv8$(get_libname ${soname_version}) /usr/$(get_libdir)/libv8$(get_libname)
dodoc AUTHORS ChangeLog || die
dodoc AUTHORS ChangeLog
}
# TODO: remove functions below after they are removed from chromium.eclass'

@ -0,0 +1,31 @@
https://github.com/json-c/json-c/commit/36ec47db49277f4a5eda30823cf6d1f238f34991
From 36ec47db49277f4a5eda30823cf6d1f238f34991 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Thomas=20Gst=C3=A4dtner?= <thomas@gstaedtner.net>
Date: Sun, 3 Mar 2013 00:17:25 +0100
Subject: [PATCH] configure.in: mv AM_CONFIG_HEADER to AC_CONFIG_HEADER
the former has been deprecated and does not work on newer autoconf
versions.
---
configure.in | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/configure.in b/configure.in
index 1a428b6..d68d7a1 100644
--- a/configure.in
+++ b/configure.in
@@ -20,8 +20,8 @@ AM_CONDITIONAL(ENABLE_OLDNAME_COMPAT, [test "x${enable_oldname_compat}" != "xno"
# Checks for libraries.
# Checks for header files.
-AM_CONFIG_HEADER(config.h)
-AM_CONFIG_HEADER(json_config.h)
+AC_CONFIG_HEADER(config.h)
+AC_CONFIG_HEADER(json_config.h)
AC_HEADER_STDC
AC_CHECK_HEADERS(fcntl.h limits.h strings.h syslog.h unistd.h [sys/cdefs.h] [sys/param.h] stdarg.h locale.h)
AC_CHECK_HEADER(inttypes.h,[AC_DEFINE([JSON_C_HAVE_INTTYPES_H],[1],[Public define for json_inttypes.h])])
--
1.8.1.6

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/json-c/json-c-0.10-r1.ebuild,v 1.1 2013/02/01 21:16:29 radhermit Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/json-c/json-c-0.10-r1.ebuild,v 1.2 2013/04/29 18:51:01 hwoarang Exp $
EAPI=5
@ -22,6 +22,8 @@ PATCHES=(
# bug 452234
"${FILESDIR}"/${P}-headers.patch
# bug 466960
"${FILESDIR}"/${P}-automake-1.13.patch
)
# tests break otherwise

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/mpfr/mpfr-3.1.2.ebuild,v 1.1 2013/03/14 03:55:28 dirtyepic Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/mpfr/mpfr-3.1.2.ebuild,v 1.2 2013/04/29 16:08:45 bicatali Exp $
EAPI="3"
@ -16,7 +16,7 @@ SRC_URI="http://www.mpfr.org/mpfr-${MY_PV}/${MY_P}.tar.xz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~sparc-fbsd ~x86-fbsd ~arm-linux ~x86-linux"
IUSE="static-libs"
RDEPEND=">=dev-libs/gmp-4.1.4-r2[static-libs?]"

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mail-Sendmail/Mail-Sendmail-0.790.0.ebuild,v 1.2 2011/09/03 21:05:24 tove Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-perl/Mail-Sendmail/Mail-Sendmail-0.790.0.ebuild,v 1.3 2013/04/29 15:56:58 ulm Exp $
EAPI=4
@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Simple platform independent mailer"
LICENSE="Mail-Sendmail"
SLOT="0"
LICENSE="as-is"
KEYWORDS="alpha amd64 hppa ia64 ~mips ppc ppc64 sparc x86"
IUSE=""

@ -0,0 +1,2 @@
DIST APCu-4.0.0.tgz 104250 SHA256 1e1a3c1f06c57fac02787f3a581105efe8d8b9c27b8bafd25fb303813449f60b SHA512 ad5d90d68e68f8f15e0d8d8823b77217c6b095a21e921b40fd8c00dbc5627db48425827495a7c1e891b7d59488fa32e7e1bec6634057c531f4ea70749620d5f2 WHIRLPOOL 59cc9bfcb7c11c3bcd673520100dfb35d1cc4276e875c4905b3074260d7418690d4b7f9df71ad729e8d78d19056d22091e90aba9667036b13780ee797a1c7972
DIST APCu-4.0.1.tgz 105861 SHA256 d9d22fdb69a43118da2bd8c120bfc34da7dff89b9327beb52ded4d1aa73e266f SHA512 64d92ee59b3e404514420c48cbe73e2ae41d3b3cd97a68724b29dc00302dbee8ea465211f52fbc5e116c6a3afb3b4eb69b07eeaef5b038294debb5a541fa9415 WHIRLPOOL ce7725e7f5fd268a6f17b51a3610b50a7d96fc6a0bc72d9f1b80445ec586cac433cb42ee1f5ca4336b321bd69b0886bcf8b4f83a6a51d0355045552bea5a180b

@ -0,0 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>php</herd>
<use>
<flag name="lock_semaphore">Enable semaphore locks instead of fcntl</flag>
<flag name="lock_pthreadmutex">Enable pthread mutex locking</flag>
<flag name="lock_pthreadrw">Enable pthread read/write locking</flag>
<flag name="lock_spinlock">Enable spin locks (EXPERIMENTAL)</flag>
</use>
</pkgmetadata>

@ -0,0 +1,63 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-apcu/pecl-apcu-4.0.0.ebuild,v 1.1 2013/04/30 10:08:33 olemarkus Exp $
EAPI=5
PHP_EXT_NAME="apcu"
PHP_EXT_PECL_PKG="APCu"
PHP_EXT_INI="yes"
PHP_EXT_ZENDEXT="no"
DOCS="CHANGELOG INSTALL NOTICE TECHNOTES.txt TODO"
USE_PHP="php5-5 php5-3 php5-4"
S="${WORKDIR}/apcu-${PV}"
PHP_EXT_S="${WORKDIR}/apcu-${PV}"
inherit php-ext-pecl-r2 confutils eutils
S="${WORKDIR}/apcu-${PV}"
KEYWORDS="~amd64 ~x86"
DESCRIPTION="Stripped down version of APC supporting only user cache."
LICENSE="PHP-3.01"
SLOT="0"
IUSE="+mmap"
DEPEND=""
RDEPEND="${DEPEND}"
LOCKS="pthreadmutex pthreadrw spinlock semaphore"
LUSE=""
for l in ${LOCKS}; do
LUSE+="lock_${l} "
done
IUSE+=" ${LUSE/lock_pthreadrw/+lock_pthreadrw}"
REQUIRED_USE="^^ ( $LUSE )"
src_configure() {
my_conf="--enable-apcu"
enable_extension_enable "apcu-mmap" "mmap" 0
enable_extension_enable "apcu-rwlocks" "lock_pthreadrw" 0
php-ext-source-r2_src_configure
}
src_install() {
php-ext-pecl-r2_src_install
dodir "${PHP_EXT_SHARED_DIR}"
insinto "${PHP_EXT_SHARED_DIR}"
doins apc.php
}
pkg_postinst() {
elog "The apc.php file shipped with this release of pecl-apcu was"
elog "installed into ${PHP_EXT_SHARED_DIR}/."
}

@ -0,0 +1,63 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/pecl-apcu/pecl-apcu-4.0.1.ebuild,v 1.1 2013/04/30 10:08:33 olemarkus Exp $
EAPI=5
PHP_EXT_NAME="apcu"
PHP_EXT_PECL_PKG="APCu"
PHP_EXT_INI="yes"
PHP_EXT_ZENDEXT="no"
DOCS="CHANGELOG INSTALL NOTICE TECHNOTES.txt TODO"
USE_PHP="php5-5 php5-3 php5-4"
S="${WORKDIR}/apcu-${PV}"
PHP_EXT_S="${WORKDIR}/apcu-${PV}"
inherit php-ext-pecl-r2 confutils eutils
S="${WORKDIR}/apcu-${PV}"
KEYWORDS="~amd64 ~x86"
DESCRIPTION="Stripped down version of APC supporting only user cache."
LICENSE="PHP-3.01"
SLOT="0"
IUSE="+mmap"
DEPEND=""
RDEPEND="${DEPEND}"
LOCKS="pthreadmutex pthreadrw spinlock semaphore"
LUSE=""
for l in ${LOCKS}; do
LUSE+="lock_${l} "
done
IUSE+=" ${LUSE/lock_pthreadrw/+lock_pthreadrw}"
REQUIRED_USE="^^ ( $LUSE )"
src_configure() {
my_conf="--enable-apcu"
enable_extension_enable "apcu-mmap" "mmap" 0
enable_extension_enable "apcu-rwlocks" "lock_pthreadrw" 0
php-ext-source-r2_src_configure
}
src_install() {
php-ext-pecl-r2_src_install
dodir "${PHP_EXT_SHARED_DIR}"
insinto "${PHP_EXT_SHARED_DIR}"
doins apc.php
}
pkg_postinst() {
elog "The apc.php file shipped with this release of pecl-apcu was"
elog "installed into ${PHP_EXT_SHARED_DIR}/."
}

@ -4,3 +4,4 @@ DIST celery-3.0.14.tar.gz 1229097 SHA256 57006a6e477282a2e55ace498729bf13218ac2c
DIST celery-3.0.15.tar.gz 1229180 SHA256 c20637d2ad68ddc407f4fba89e3afccbe7a9c55a3b79059579ba9fcf5de5d976 SHA512 697d88797d90cba747d8d331d2bef30427ef2ce574674543c0aec37d22a59c324a64092d1a0218c89ac122178a65488bb9a97e83b2a319272afd2538c2f6985b WHIRLPOOL af92937d660b12f560a18e7ebe94be448773b490e1c76d2bb017c434d95c871f988c6bedad746aa8da94cb6b87e34ca46ef73dbefc8f3af28f7925e4c8f81e44
DIST celery-3.0.16.tar.gz 1233799 SHA256 31dc01e2e9c52825419d760422de7a6ce6fc789960fa087e8227ff4a528a2120 SHA512 4f483cb98f614868a7199d9621a68a1eaeff55740718b500385b73a0aca1f2ff67970316e3c4e88bba476ce0240adfff1e36703a7698f9c03ebdb989e156a337 WHIRLPOOL 5d6ff8cf7730806643f8c618eece2b014e847b8d3ee1c888f332e5c8dd718bd80f3e78132a379f29e55d274d30af788c640dce8f480c03f7b29a974bbe993c04
DIST celery-3.0.17.tar.gz 1235117 SHA256 554d1e0c7cd8346aa372bb7f2b971441eee8e192a6a3855c89bad4d33b7bd947 SHA512 b426dc0e06efb4d9bccaaad57368ffedae275f758a5f6325b4aa78646b68620e381389a52d2f84d5d007269089230ac349620a021986e0fafd8acee1a1e55ecc WHIRLPOOL 38e8e412e1a419dcbd9874c9e17a17443bf6377c1b6d98fe76c53020042033edf4696021edaa04baaafe3c3acc3b4fa88c36a414ea3f99cafc74cfe520793563
DIST celery-3.0.19.tar.gz 1242004 SHA256 70ce2ff1143d964378b3e50817366256a036e78422e85cd89724d5e6ef022e55 SHA512 e6401adeafd1fe5e69a99bf69fe2a1a7ffe033d24fdec2732d5f564c7026cda78ca5fa1a8dfd3cebc9d4879e15e77b5b54018c4b6ba9f65db92d44ed99dcb178 WHIRLPOOL f47d5cdfb56e9695aff470d7966a920d95e03ce19a0af4e56cfb7d88e47b9cb78f4a8ae41efa789cb0de4e1675d8b1098dfb52adceadea4eaeb24efd6281ce83

@ -0,0 +1,78 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/celery/celery-3.0.19.ebuild,v 1.1 2013/04/29 11:24:24 idella4 Exp $
EAPI=5
PYTHON_COMPAT=( python{2_7,3_2,3_3} )
inherit distutils-r1
DESCRIPTION="Celery is an open source asynchronous task queue/job queue based on distributed message passing."
HOMEPAGE="http://celeryproject.org/ http://pypi.python.org/pypi/celery"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc examples sql test"
RDEPEND="<dev-python/kombu-3
>=dev-python/kombu-2.5.10[${PYTHON_USEDEP}]
>=dev-python/python-dateutil-1.5[${PYTHON_USEDEP}]
>=dev-python/anyjson-0.3.3[${PYTHON_USEDEP}]
virtual/pyparsing[${PYTHON_USEDEP}]
>=dev-python/billiard-2.7.3.28[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
sql? ( dev-python/sqlalchemy[$(python_gen_usedep python2_7)] )"
DEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
dev-python/gevent[$(python_gen_usedep python2_7)]
>=dev-python/mock-0.7.0[${PYTHON_USEDEP}]
virtual/python-unittest2[${PYTHON_USEDEP}]
dev-python/pyopenssl[${PYTHON_USEDEP}]
dev-python/nose-cover3[${PYTHON_USEDEP}]
dev-python/sqlalchemy[$(python_gen_usedep python2_7)]
dev-python/pymongo[$(python_gen_usedep python2_7)]
dev-python/redis-py[${PYTHON_USEDEP}]
dev-db/redis
)
doc? (
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/sphinx[${PYTHON_USEDEP}]
dev-python/jinja[${PYTHON_USEDEP}]
dev-python/sphinxcontrib-issuetracker
dev-python/sqlalchemy[$(python_gen_usedep python2_7)]
)"
PATCHES=( "${FILESDIR}"/celery-docs.patch )
python_compile_all() {
if use doc; then
mkdir docs/.build || die
emake -C docs html
fi
}
python_test() {
if [[ "$EPYTHON}" = python3* ]]; then
einfo "Some dependencies of testsuite do no support python3"
else
nosetests || die
# einfo "running funtests"
# "${PYTHON}" funtests/setup.py test || die "Failure occured in funtests"
fi
}
python_install_all() {
# Main celeryd init.d and conf.d
newinitd "${FILESDIR}/celery.initd" celery
newconfd "${FILESDIR}/celery.confd" celery
use examples && local EXAMPLES=( examples/. )
use doc && local HTML_DOCS=( docs/.build/html/. )
distutils-r1_python_install_all
}

@ -0,0 +1,19 @@
# Prevent un-needed objects.inv files
diff -ur celery-3.0.19.orig/docs/conf.py celery-3.0.19/docs/conf.py
--- docs/conf.py 2013-04-15 22:51:46.000000000 +0800
+++ docs/conf.py 2013-04-27 21:46:25.070423582 +0800
@@ -74,14 +74,6 @@
# If true, '()' will be appended to :func: etc. cross-reference text.
add_function_parentheses = True
-intersphinx_mapping = {
- 'python': ('http://docs.python.org/dev', None),
- 'kombu': ('http://kombu.readthedocs.org/en/latest/', None),
- 'djcelery': ('http://django-celery.readthedocs.org/en/latest', None),
- 'cyme': ('http://cyme.readthedocs.org/en/latest', None),
- 'amqp': ('http://amqp.readthedocs.org/en/latest', None),
-}
-
# The name of the Pygments (syntax highlighting) style to use.
pygments_style = 'colorful'

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/mock/mock-1.0.1-r1.ebuild,v 1.6 2013/04/28 14:00:22 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/mock/mock-1.0.1-r1.ebuild,v 1.7 2013/04/29 11:43:15 pinkbyte Exp $
EAPI=5
PYTHON_COMPAT=( python{2_5,2_6,2_7,3_1,3_2,3_3} pypy{1_9,2_0} )
@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-macos"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ppc ~ppc64 ~s390 ~sh ~sparc x86 ~amd64-fbsd ~amd64-linux ~x86-linux ~x64-macos"
IUSE="doc test"
# dev-python/unittest2 is not required with Python >=3.2.

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/pylint/pylint-0.27.0-r1.ebuild,v 1.2 2013/03/13 07:10:14 idella4 Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/pylint/pylint-0.27.0-r1.ebuild,v 1.3 2013/04/30 05:54:45 idella4 Exp $
EAPI=5
PYTHON_COMPAT=( python2_{5,6,7} python{3_1,3_2} )
@ -35,7 +35,7 @@ python_test() {
pytest || die
}
src_install_all() {
python_install_all() {
doman man/{pylint,pyreverse}.1 || die "doman failed"
if use examples; then

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinxcontrib-issuetracker/sphinxcontrib-issuetracker-0.11.ebuild,v 1.1 2013/01/24 08:47:17 patrick Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-python/sphinxcontrib-issuetracker/sphinxcontrib-issuetracker-0.11.ebuild,v 1.3 2013/04/30 09:44:18 ago Exp $
EAPI="4"
SUPPORT_PYTHON_ABIS="1"
@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE="test"
RDEPEND=">=dev-python/requests-0.13

@ -1,2 +1,3 @@
DIST camping-2.1.467.gem 375296 SHA256 4ba1a8afa32bb60ed18640eeca1ecb16997020fd885384ab4b45ed58d4a24c18 SHA512 77171e69d05746586fb25aa9e212f56196650f45ebc9d191f73795f532a5299e6950a876759b7c4fd23a3938ca0e1173dc14ea46c96430fb5188f9eb15b1f34b WHIRLPOOL a10277a4167fbdff236a9ab835e054714048773f410824c0dea514fa09deb29dcef328ba85744bbc42d6e35739f824338cb048e68dcdbc6269d2c271817b2297
DIST camping-2.1.531.gem 375808 SHA256 3adad3310148a21c0c93064fb25072be925e73ecefc15a5837fe97df0b5815c0 SHA512 352fb9679cf56960186158f0f9deb4c956e4ca98f7dcfd7f98918a395b8fbc5de9b774700f6c9adf18d40e5b3ad261de9bc784910d119141e051f4a5886bb31b WHIRLPOOL 17c96d16b745e8cee679bc21319ad7d2c9be00c5b500c56af52e5a6448f7f82598364cde5554c0858ef46db3b4caf05ba9f8cb8eed011ff43b5385d95edf11e7
DIST camping-2.1.532.gem 375808 SHA256 ee36aa39e61a7aeb3d7b6973f7c88a5e4eecd2a52b7e8f1668d4be7b522f4ae0 SHA512 0a061ed886b7bb86bfe0906e8a7950b96d2c8360bde3c0545b52d41b3012b1c3975a056449f1919c8ba454ee6457738bfc9f815da8ce764e79ef3cf9981e9408 WHIRLPOOL feb71664b586a7e77816aef965daf11efd1612cebf7bcbcb607670a3821e97b674f3926663054108533c07353642cf3facf53085576c3ae8a831a05fd528e418

@ -0,0 +1,29 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/camping/camping-2.1.532.ebuild,v 1.1 2013/04/29 20:15:33 graaff Exp $
EAPI=4
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
inherit ruby-fakegem
DESCRIPTION="A small web framework modeled after Ruby on Rails."
HOMEPAGE="http://wiki.github.com/camping/camping"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE="test"
ruby_add_bdepend "test? ( dev-ruby/rack-test )"
ruby_add_rdepend "
>=dev-ruby/mab-0.0.3
>=dev-ruby/rack-1.0"
each_ruby_test() {
${RUBY} -S testrb test/app_*.rb || die
}

@ -2,3 +2,4 @@ DIST capistrano-2.13.4.gem 123904 SHA256 cfcd3ab3cda510830b9d5784e2aa82bf0426581
DIST capistrano-2.13.5.gem 124928 SHA256 f741be06ece7bc234809a1df293668248a75271b18d358fa7bb50c90b790be7d SHA512 6dc2fbc9d9c2a538f2d3e70cee5b8f63a09075e7019eeb2ad33a838d5457d6d5128fce2a6f5bcccc76c95898cfc693f5440dd5e25c0f12610db9a8ab68e84d62 WHIRLPOOL 6bb25c36b780a9c24e50f97662ac2510397f1a5d193d80582755f6cc3ea2822b2c13cbd0fb7f3c529871ef72016f33831e10fd00468d4016e79950a66efbbe1a
DIST capistrano-2.14.1.gem 126464 SHA256 88edb7bd92f6c92a90fcb64d44f700c4e045ed0f60cda4868752434d123c6ac1 SHA512 bad305d175c41284c124254bc6dae42adc1a968a3766a5fbc7d5ca7238c2c5a0eb0a8af400abefc56cc0e49a4581d603c0e8d2b6657b350e62754e9b4354fc1a WHIRLPOOL 704c876dba4ecd346a3e3c6db7e3dbf4440802c15fd6f5771ae6a4f1870556cd663363a24870eda168c4a20f1b8e28058b47f2300a9e125ff286bf2592cc631f
DIST capistrano-2.14.2.gem 126464 SHA256 b821c1530cd2b2fbf16f239551ac1491256dfc39ffe28833c31666a85ec661d4 SHA512 7742b2e3be33aa7b9a513648e59a498ab42ac402c0015f3ae56f4d10522720326f3ec2868eae36a4affa658a7574967f85a42f5085d800ecbd07605124d3a396 WHIRLPOOL f09ff12e347cf34cdcfc1d58bcf96aee6bc99e0e92284636e183a47b659ab2da8e2f2396dcde362e3e87fc3704caee68f7eb85c177f4d7813af18c465845fe52
DIST capistrano-2.15.4.gem 131584 SHA256 36be1cff6c8c4e8c569a83cf5e8a058833919d2bd25b8d9928ae33b7fb9da7a7 SHA512 22919352bff0ed06f8b0c149c144d1e09a8a62eb5e9cf8890bc94f5b4471ed4e1680490d7957aa28d8c0d51a95c0f738a475822682ad98eb9470d151197f7e4b WHIRLPOOL eb406e0f86e07462f41d8bb9946d5b6ce917f7dd113903315d71fdd8f3e7d7fb9bd70a459418d16042cfe4eea136b64e0b7ba03440f940a7a672d3c6f4de973b

@ -0,0 +1,39 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/capistrano/capistrano-2.15.4.ebuild,v 1.1 2013/04/29 20:29:17 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGELOG README.md"
inherit ruby-fakegem
DESCRIPTION="A distributed application deployment system"
HOMEPAGE="http://capify.org/"
LICENSE="MIT"
SLOT="2"
KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE=""
ruby_add_rdepend "
>=dev-ruby/net-ssh-2.0.14
>=dev-ruby/net-sftp-2.0.2
>=dev-ruby/net-scp-1.0.2
>=dev-ruby/net-ssh-gateway-1.1.0
>=dev-ruby/highline-1.2.7"
ruby_add_bdepend "
test? ( =dev-ruby/mocha-0.10* )"
all_ruby_prepare() {
rm Gemfile || die
sed -i -e '/[Bb]undler/d' Rakefile test/utils.rb || die
sed -i -e '/pry/ s:^:#:' test/utils.rb || die
# Avoid copy strategy tests since these fail in some cases due to
# complicated (aka unknown) interactions with other parts of the
# test suite.
rm test/deploy/strategy/copy_test.rb || die
}

@ -1 +1,2 @@
DIST celluloid-0.12.4-git.tgz 45475 SHA256 91d6adf03f351b8f3d164431d1838411481c516b72768b758ec68b9de591314d SHA512 03eb83377981fb01fd8d686e7c2bee4d796460848723bd247d220d21d0c1a2166b914953160399cd4a64e88bee3c5713cfa7e1f6d3eb4205d78b0fb75cb4bef5 WHIRLPOOL 5b8e5568406028c2a7572bb3092eea4f5c48f50859e52aa1a457fcbb941fee8e4b81fce84c4ce53ba1e4709b097c439d92fab2d2ad619303003aec54383f1208
DIST celluloid-0.13.0-git.tgz 49457 SHA256 8e14ac6298db0d7faba875b2f1ddb0132085f6661b434fb8d0d14d31f7b6db85 SHA512 8900245fdf7a557fac1598a0121d234edd7e24f070e11150ac95014d2763d4653d67f4aeb7da1b76f8dfa36d2fb3d8f7bde86777612b1b15ef78cdaeb1c50f17 WHIRLPOOL 0c77c6fea3f7dd9d82349a2371a5e0a317cd8444cea44446891d9947c083a3398ad9ed82c46d6e03320b171fe92f2b61c362529adc6e1a27397f6681f37e2a0f

@ -0,0 +1,31 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/celluloid/celluloid-0.13.0.ebuild,v 1.1 2013/04/30 06:04:46 graaff Exp $
EAPI=5
# rbx or jruby recommended, but only in 1.9 mode.
USE_RUBY="ruby19"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="CHANGES.md README.md"
inherit ruby-fakegem
DESCRIPTION="Celluloid provides a simple and natural way to build fault-tolerant concurrent programs in Ruby"
HOMEPAGE="https://github.com/celluloid/celluloid"
SRC_URI="https://github.com/celluloid/celluloid/archive/v${PV}.tar.gz -> ${P}-git.tgz"
IUSE=""
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64"
ruby_add_rdepend ">=dev-ruby/timers-1.0.0"
all_ruby_prepare() {
rm Gemfile .rspec || die
sed -i -e '/coveralls/I s:^:#:' spec/spec_helper.rb || die
}

@ -1,2 +1,3 @@
DIST chunky_png-1.2.6.gem 323072 SHA256 bbced362920644ad2de897f260d846f2f2cb3605f343daae1e9600dcd2f2137d SHA512 cd08178e2b65028b898ab0ef60bc48dd1d1e70ef6648553a9c42a0a560fa2b614ec7e467504feec0f58d36af719720f5aefff09595943e21e8487142ea11e424 WHIRLPOOL bda6912dc23583699074d4ba4adc9055c0f35fdef8df2aefa234ce4f9fca55c32fedd8044b33d6dac66e79d58a302db656ebbed8ea55cd9948359a9a733ce533
DIST chunky_png-1.2.7.gem 323072 SHA256 afc1dffc166d99e3117548391c3cf3be4d0f77ca375777685eee6e05ed12b72b SHA512 8b36df40cabc593f4f4f09c733a2864ce9fc1e860852c5d45cdbf7d16f4bbafa3da8ff3113c0e71120ba408f9b6ea579f4e5f732f52f47b1eddedf49b8445147 WHIRLPOOL b7b89d491c3f2b1657092153dd033b03acca1c93d75619eefcf82878a5a30a8a5b051671dbef8b4ee9d4acd1e388ca90f5c7bad0dbc80389bffd691b3cb1ece2
DIST chunky_png-1.2.8.gem 322560 SHA256 694c136fe839b89135a7a20ad08db9b6f76bb2bd4cf2400f97041dde87f5e18c SHA512 c1d8a1f5f743f02baa41cd65c3fb2efd113cf3ed22221a3b2855781e7afda3503b8c1c9e389003805df84c1269bf45c4150fe38edbd212f7d69c90afdb25aa9c WHIRLPOOL 2ec7d921c754be31dcb28fd5219e6a0b41dc40ae55822343050748e70220980a8881890f33649d1bbbaab315250474ae0d9843ba7f164a85fd68c36a5dd6f2a8

@ -0,0 +1,31 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/chunky_png/chunky_png-1.2.8.ebuild,v 1.1 2013/04/30 06:08:43 graaff Exp $
EAPI=5
USE_RUBY="ruby18 ruby19 jruby"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_DOCDIR=""
RUBY_FAKEGEM_EXTRADOC="BENCHMARKS.rdoc README.rdoc"
RUBY_FAKEGEM_GEMSPEC="chunky_png.gemspec"
inherit ruby-fakegem
DESCRIPTION="Pure Ruby library that can read and write PNG images"
HOMEPAGE="http://wiki.github.com/wvanbergen/chunky_png"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
all_ruby_prepare() {
sed -i -e '/[bB]undler/s:^:#:' {spec,benchmarks}/*.rb || die
rm Gemfile* || die
}

@ -1,3 +1,4 @@
DIST cocaine-0.2.1.gem 8704 SHA256 ceda8dae6dc695f36363a8a38b26895e9ace92cc09d4efb7156e48706d984cdf SHA512 92fb56b965dc7578d20e921810eda9db198c32a1bd44d5057c8cf878045566fc361bc0c00cc6520b90bb7e10c25172b3b321a4a996086cd1140aa9839a1f021e WHIRLPOOL 81eab1ab8f4d4522f0bccbcf787e9cacdfa91dc773a0c8b723b5f37d010ab863e5d09c8f9588571a0b3f4e3f3d3afd3cf92ff1ba07aec6a0d5550547d9aeb531
DIST cocaine-0.4.0.gem 11776 SHA256 81d123d043897c1531f18e956a3308e7b3885a963454e7dff4c6b6d672836b36 SHA512 01bebbcc9241d6ae4b002dea80b482ee40162a1e72e79510ca1217920d179292e6ee5b316392850869d5a77c902c9aff0f3dbccc62fcfe38891c6eda7d05c6a3 WHIRLPOOL 13e4f48a4bde1122c18dfa83f87118f975d991671f3341174c60393fbccb5de2605d7d62cffe39f1e669c8e7c707d564945e4c4fd9f65ed45ac2f05f88c8d0da
DIST cocaine-0.4.2.gem 12288 SHA256 b1c04ddd688053ef25bfe79f9f980b76f7e8a2b33fef7bd15276a6706f1e4c85 SHA512 13d9ff34f4a82aaa66ce9eda1918d54b062322d39cd73cf18456a3ee0eb431a36ea4120c722c56cf0759a0b44fd8e2f542bea16a4fca4267ef24ec85a966e45d WHIRLPOOL 7616a637109cd9a83f1e1309a4198e107453a586afb9490e43966ea3aa437736bb395e3dba011f66b118ea4c0f887b756b07efc518f65dd0c209f9b3f996a6cc
DIST cocaine-0.5.1.gem 12800 SHA256 d8cab89e51f261e707de675cb62572454fb124db0ec9eaa40a6698ee35dcfc76 SHA512 92b749f69e1d2c3b5c62ca34030325717f635526fc30f6faabd9eb85d2581d92bca2197e245b0f32ef882878155aeb105014b9dc91ea513dee40c18f20f5f183 WHIRLPOOL 6364bee0338b4d350621427678e47b116a753f065b301a2a155551b72c2c5d3966005e42b8c6911441ad3d8378036957e90463897baefe32368bcd24719054c4

@ -0,0 +1,43 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/cocaine/cocaine-0.5.1.ebuild,v 1.1 2013/04/30 06:13:00 graaff Exp $
EAPI=5
USE_RUBY="ruby19"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.md"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
inherit ruby-fakegem
DESCRIPTION="A small library for doing command lines"
HOMEPAGE="http://www.thoughtbot.com/projects/cocaine"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
ruby_add_rdepend "dev-ruby/climate_control:0"
ruby_add_bdepend "
test? (
dev-ruby/bourne
dev-ruby/mocha
)"
all_ruby_prepare() {
sed -i \
-e '/git ls-files/d' \
"${RUBY_FAKEGEM_GEMSPEC}" || die
rm Gemfile* || die
sed -i -e '/bundler/d' Rakefile || die
sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb || die
}

@ -1,4 +1 @@
DIST coffee-script-source-1.3.3.gem 45568 SHA256 10e748630a171def439f78a36e7f00c6454430e182118f3187212bee2d8ece98 SHA512 728ea66afc0a62345caa56fff98efb96e2f102f7f2bdc399bcce1393ccb05b29325ce03edf9eb5f18ef80572b16418d08a7e06cc43ba14d02aeae3310cf8dc00 WHIRLPOOL 711e4814d390657ac6abcd776b72697f0a316ae67d5070acb30281125220f2103846d490ac6e407d730e08b0359f429b10f541d4d1a56a7d82f65601e89df344
DIST coffee-script-source-1.4.0.gem 45568 SHA256 efbdb068f004d0401a6e3ac6757f922d4d9e4b038fdc1b11608d313350771874 SHA512 208d0211ea2e79ed2f6d9f4ed886893e4b413cada251e7d2fa51b4624cd58fbaa9f547f2567e7cbd9ed652bc3844e365526a7c7371fbeef411e88d9e11e064ea WHIRLPOOL cee74a71b5bd492f6fae5bd8a25206d97b5008d63cd0fc57ceb89fc7d1b3eab74d5a9f7918bbce84cf3f9558e2667a172d09cc2999843661fbcc6d50807fc324
DIST coffee-script-source-1.5.0.gem 47104 SHA256 afbf402bb1e6c0f1f0c42e6969cd8b9454afe9019762a4231072f29ce87b3e54 SHA512 647ebb7d82119702aa21e87720a2303033db71b939f4b7b13424d166838c0063e4ad9eee4d123400a7380d74b82abde898c8ebfca28163c6ac65f681096eeb68 WHIRLPOOL 012b6df9fae01f5151feafb4b3e28a790588df5b4a0db6c6ba55ea2894075202629fc17d9f3e551120141ec910e40f721943792243578483642c7ce38195c77c
DIST coffee-script-source-1.6.1.gem 50176 SHA256 cbd1aae096a502601beda4389a41dd4a729da3febc4c989371b21c8859627bc1 SHA512 adacbf744c611babdb83ab4305615c2806e980031b1bcb736514e0c25f7fac70073725cd3b75c4fd436350c7bf1360bfef037fed21fbe086e35ca349119bbae9 WHIRLPOOL 85d45a7ecc202ef07aa8cefd360c2998b25a9678e94f5e015e7a616dbc6dcd48fb2ef362f579c050128d820f51aafbc761d59768d86ef3fffcf89c598332f836

@ -1,20 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/coffee-script-source/coffee-script-source-1.3.3.ebuild,v 1.3 2013/01/15 06:29:09 zerochaos Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="Ruby CoffeeScript is a bridge to the official CoffeeScript compiler."
HOMEPAGE="https://github.com/rails/coffee-rails"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~x64-macos ~x86-solaris"
IUSE=""

@ -1,20 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/coffee-script-source/coffee-script-source-1.4.0.ebuild,v 1.2 2013/01/15 06:29:09 zerochaos Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="Ruby CoffeeScript is a bridge to the official CoffeeScript compiler."
HOMEPAGE="https://github.com/rails/coffee-rails"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~x64-macos ~x86-solaris"
IUSE=""

@ -1,20 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/coffee-script-source/coffee-script-source-1.5.0.ebuild,v 1.1 2013/02/28 13:52:57 graaff Exp $
EAPI=4
USE_RUBY="ruby18 ruby19 ree18 jruby"
RUBY_FAKEGEM_TASK_TEST=""
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="Ruby CoffeeScript is a bridge to the official CoffeeScript compiler."
HOMEPAGE="https://github.com/rails/coffee-rails"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~x64-macos ~x86-solaris"
IUSE=""

@ -1,4 +1,3 @@
DIST daemon_controller-0.2.6.gem 22016 SHA256 42d403a94e0dbd4cb410ac6fb1c477172ca9ce89e6784e5af30e23a897536aa3 SHA512 f0bb19d218eb7fde1d95307e6ffc2f47e63c8325fee7469f48fe6dce31c239d0ef4c119f26b6628e2b9e79a3d3741b337267d2cbc46951f3f27d454e74022c2b WHIRLPOOL adab246c98ead4156c2079e03b6d3ce3d11a72142e15db650981b7a163a1122a5b0aebd4df7b1b9412f8273e83cdc2308913beb427370a2cab27219aac7d116c
DIST daemon_controller-1.0.0.gem 23040 SHA256 21e24eb8daf99372090fe9e29dae5637239ec566d29a247a5e05fc112a802a32 SHA512 d9c9f13e984d379417bce5b73930c85ae2ab7f309af52552a1382f1522fe53d2077a43c249fcceee831c2e8436d7d1a446543c598a8c62eda6ab4dc895cef61d WHIRLPOOL 0a62b7d9b58df0dd2827f405eaa05107ca49d7097b322df4427d272a5aa9cffc21d3625f59799003ace8df259ca8ca89fec9390514d174793db86ea9b89d4f1b
DIST daemon_controller-1.1.0.gem 24576 SHA256 757bb1c3e7fab8d7019bd1a1d7f85f9b12d5c8877fac5f4940f002286a35283b SHA512 7b3c468a9ee209aec774301a73097db9a6c365bc3ed6a5d8130c8ac10c01c51bbc96d0533c61bb0ffc3e40d11c21c7d1941f819a1a455f9f3534ff6a3e91ef08 WHIRLPOOL b28687f09829f1c6d462bdd3236953bbdd1549c7f8a2b09c21df339c18bef197da4d23d131fd87d1eb8f50a0c9dd2aac92ab4b33b837488749292dc5f66ff660
DIST daemon_controller-1.1.1.gem 24576 SHA256 c82bab2e6b6f9443aca51f7f429ac3eb877442f9062da9b28b1a6b329e344ca5 SHA512 fc87dd6deb7db955dc8e75899ea8282cf5755dc76b4139624c6fc8c5caf1b8d995c0e76b3b8222592c4331fa99da890f420a09419ef5c66a680d4dcab0d140fe WHIRLPOOL 30a1f3280b34c45afe5575d7b0e323342f679ff6cd085f709d09873e820e0358751cc77252bd04986d0a832e7e72a5f3f119575400a4ce0d2767acb4ec145741
DIST daemon_controller-1.1.2.gem 26624 SHA256 6eae3f0fafe5fce30266b755c944ca1899f064c7bd38c93d4f985026a58efddf SHA512 0d48154694be68b1331d23c7bc9ef11b40665411d44f0482fb7ead92cc86aa0ec5ce45ea41ca3dd97e823899adcd972e48ab52075a2a6e17c90dd077ae9f5da0 WHIRLPOOL daaf377021ebb25f07c5ba16fbe912e67455338966e070ac2933bf9e8e34b0fd54996de8811b6cbe974b8138429411f7fbae5571302fd233c9fad9bceecbe864

@ -1,28 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/daemon_controller/daemon_controller-1.1.0.ebuild,v 1.2 2012/11/04 13:45:35 ago Exp $
EAPI=4
# jruby → fails tests, looks like Unix sockets are bad on JRuby
USE_RUBY="ruby18 ruby19 ree18"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
RUBY_FAKEGEM_EXTRADOC="README.markdown"
inherit ruby-fakegem
DESCRIPTION="A library for starting and stopping specific daemons programmatically in a robust manner."
HOMEPAGE="http://github.com/FooBarWidget/daemon_controller"
LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~x86"
IUSE=""
all_ruby_prepare() {
# fix tests with RSpec 2
sed -i -e '1irequire "thread"' spec/test_helper.rb || die
}

@ -1,11 +1,11 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/daemon_controller/daemon_controller-1.0.0.ebuild,v 1.3 2013/01/01 18:41:36 nativemad Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-ruby/daemon_controller/daemon_controller-1.1.2.ebuild,v 1.1 2013/04/30 06:37:58 graaff Exp $
EAPI=4
EAPI=5
# jruby → fails tests, looks like Unix sockets are bad on JRuby
USE_RUBY="ruby18 ruby19 ree18"
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
@ -19,7 +19,7 @@ HOMEPAGE="http://github.com/FooBarWidget/daemon_controller"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 x86"
KEYWORDS="~amd64 ~x86"
IUSE=""
all_ruby_prepare() {

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/cmake-2.8.10.2-r2.ebuild,v 1.4 2013/04/27 22:36:51 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/cmake/cmake-2.8.10.2-r2.ebuild,v 1.5 2013/04/30 01:06:10 jer Exp $
EAPI=5
@ -12,7 +12,7 @@ HOMEPAGE="http://www.cmake.org/"
SRC_URI="http://www.cmake.org/files/v$(get_version_component_range 1-2)/${P}.tar.gz"
LICENSE="CMake"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~arm-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
SLOT="0"
IUSE="emacs ncurses qt4 vim-syntax"

@ -1 +1,2 @@
DIST RBTools-0.4.3.tar.gz 62062 SHA256 7c35271b7d65e8ab72ae1a10b0c65e8dbf718f31391fff44034f0bc4262a0917 SHA512 f7ccbe671ff127e8597d15f21df780d6a52675081db4020b17f890daf2a6457d273deb577add890a7253d7388c9e73a8cde548ba0a40eac2dd02388b92d6566f WHIRLPOOL 78320b248916d5894dfa591d66d2718ca92f0a8129e37a76b3fb50e2607f89543ecf49da99eaf4354073d8ac150b213e6224c996a53bab07473cc6978ab973cc
DIST RBTools-0.5.tar.gz 87824 SHA256 da3cbef4723cb4081098af20797269eae27902ece239f526e6e4a69fd248cb74 SHA512 bcafbedb16848d09ad2d0836bc00fefbcda8d9862243a18226de26dea672cdc9d000ed1ee695d9d9ed872d089c4afb6d29f8a7f26918bc367d5698fdd3ba091c WHIRLPOOL 5a2fb951bc6b13186256a12da4f6bce7576a9bfe034d9cfc817248f24b3e75558fe19f478a4b1f1e577b63c0fd821e9f855c99578bb9fe6c2fd48f35dde59e2f

@ -0,0 +1,24 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/rbtools/rbtools-0.5.ebuild,v 1.1 2013/04/29 18:18:40 kensington Exp $
EAPI=5
PYTHON_COMPAT=( python2_{5,6,7} )
inherit distutils-r1 versionator
MY_PN="RBTools"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="Command line tools for use with Review Board"
HOMEPAGE="http://www.reviewboard.org/"
SRC_URI="http://downloads.reviewboard.org/releases/${MY_PN}/$(get_version_component_range 1-2)/${MY_P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DOCS=( AUTHORS NEWS README )
S=${WORKDIR}/${MY_P}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-util/suse-build/suse-build-2013.02.27.ebuild,v 1.2 2013/03/18 10:23:04 miska Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-util/suse-build/suse-build-2013.02.27.ebuild,v 1.3 2013/04/29 13:22:14 ago Exp $
EAPI=5
@ -25,7 +25,8 @@ HOMEPAGE="https://build.opensuse.org/package/show?package=build&project=openSUSE
LICENSE="GPL-2"
SLOT="0"
IUSE="symlink"
[[ "${PV}" == "9999" ]] || KEYWORDS="amd64 x86"
[[ "${PV}" == "9999" ]] || \
KEYWORDS="amd64 x86"
RDEPEND="
virtual/perl-Digest-MD5

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.69 2013/04/18 15:47:28 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v 1.70 2013/04/30 05:36:19 mgorny Exp $
# @ECLASS: distutils-r1
# @MAINTAINER:
@ -394,9 +394,11 @@ _distutils-r1_rename_scripts() {
while IFS= read -r -d '' f; do
debug-print "${FUNCNAME}: found executable at ${f#${D}/}"
if [[ "$(head -n 1 "${f}")" == '#!'*${EPYTHON}* ]]
local shebang
read -r shebang < "${f}"
if [[ ${shebang} == '#!'*${EPYTHON}* ]]
then
debug-print "${FUNCNAME}: matching shebang: $(head -n 1 "${f}")"
debug-print "${FUNCNAME}: matching shebang: ${shebang}"
local newf=${f}-${EPYTHON}
debug-print "${FUNCNAME}: renaming to ${newf#${D}/}"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.283 2013/04/17 20:59:24 tomwij Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/kernel-2.eclass,v 1.284 2013/04/29 22:14:23 tomwij Exp $
# Description: kernel.eclass rewrite for a clean base regarding the 2.6
# series of kernel with back-compatibility for 2.4
@ -742,8 +742,10 @@ install_sources() {
mv ${WORKDIR}/linux* "${D}"/usr/src
if [[ -z ${UNIPATCH_DOCS} ]] ; then
dodoc ${UNIPATCH_DOCS}
if [[ -n "${UNIPATCH_DOCS}" ]] ; then
for i in ${UNIPATCH_DOCS}; do
dodoc "${T}"/${i}
done
fi
}
@ -1040,7 +1042,7 @@ unipatch() {
for x in ${KPATCH_DIR}; do
for i in ${UNIPATCH_DOCS}; do
if [[ -f "${x}/${i}" ]] ; then
tmp="${tmp} \"${T}/${i}\""
tmp="${tmp} ${i}"
cp -f "${x}/${i}" "${T}"/
fi
done

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/leechcraft.eclass,v 1.8 2013/03/09 19:52:38 maksbotan Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/leechcraft.eclass,v 1.9 2013/04/30 07:51:24 pinkbyte Exp $
#
# @ECLASS: leechcraft.eclass
# @MAINTAINER:
@ -47,7 +47,11 @@ else
fi
HOMEPAGE="http://leechcraft.org/"
LICENSE="GPL-3"
if version_is_at_least 0.5.95; then
LICENSE="Boost-1.0"
else
LICENSE="GPL-3"
fi
# @ECLASS-VARIABLE: LEECHCRAFT_PLUGIN_CATEGORY
# @DEFAULT_UNSET

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/python-any-r1.eclass,v 1.7 2013/04/07 17:02:52 mgorny Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/python-any-r1.eclass,v 1.10 2013/04/30 05:34:33 mgorny Exp $
# @ECLASS: python-any-r1
# @MAINTAINER:
@ -20,6 +20,14 @@
# pkg_setup() which finds the best supported implementation and sets it
# as the active one.
#
# Optionally, you can define a python_check_deps() function. It will
# be called by the eclass with EPYTHON set to each matching Python
# implementation and it is expected to check whether the implementation
# fulfills the package requirements. You can use the locally exported
# PYTHON_USEDEP to check USE-dependencies of relevant packages. It
# should return a true value (0) if the Python implementation fulfills
# the requirements, a false value (non-zero) otherwise.
#
# Please note that python-any-r1 will always inherit python-utils-r1
# as well. Thus, all the functions defined there can be used in the
# packages using python-any-r1, and there is no need ever to inherit
@ -134,16 +142,38 @@ _python_build_set_globals() {
}
_python_build_set_globals
# @ECLASS-VARIABLE: PYTHON_USEDEP
# @DESCRIPTION:
# An eclass-generated USE-dependency string for the currently tested
# implementation. It is set locally for python_check_deps() call.
#
# The generate USE-flag list is compatible with packages using python-r1,
# python-single-r1 and python-distutils-ng eclasses. It must not be used
# on packages using python.eclass.
#
# Example use:
# @CODE
# python_check_deps() {
# has_version "dev-python/foo[${PYTHON_USEDEP}]"
# }
# @CODE
#
# Example value:
# @CODE
# python_targets_python2_7(-)?,python_single_target_python2_7(+)?
# @CODE
# @FUNCTION: _python_EPYTHON_supported
# @USAGE: <epython>
# @INTERNAL
# @DESCRIPTION:
# Check whether the specified implementation is supported by package
# (specified in PYTHON_COMPAT).
# (specified in PYTHON_COMPAT). Calls python_check_deps() if declared.
_python_EPYTHON_supported() {
debug-print-function ${FUNCNAME} "${@}"
local i=${1/./_}
local EPYTHON=${1}
local i=${EPYTHON/./_}
case "${i}" in
python*|jython*)
@ -158,7 +188,17 @@ _python_EPYTHON_supported() {
esac
if has "${i}" "${PYTHON_COMPAT[@]}"; then
return 0
local PYTHON_PKG_DEP
python_export "${i}" PYTHON_PKG_DEP
if ROOT=/ has_version "${PYTHON_PKG_DEP}"; then
if declare -f python_check_deps >/dev/null; then
local PYTHON_USEDEP="python_targets_${i}(-),python_single_target_${i}(+)"
python_check_deps
return ${?}
fi
return 0
fi
elif ! has "${i}" "${_PYTHON_ALL_IMPLS[@]}"; then
ewarn "Invalid EPYTHON: ${EPYTHON}"
fi
@ -176,6 +216,7 @@ python-any-r1_pkg_setup() {
if [[ ${EPYTHON} ]]; then
if _python_EPYTHON_supported "${EPYTHON}"; then
python_export EPYTHON PYTHON
python_wrapper_setup "${T}"
return
fi
fi
@ -190,6 +231,7 @@ python-any-r1_pkg_setup() {
break
elif _python_EPYTHON_supported "${i}"; then
python_export "${i}" EPYTHON PYTHON
python_wrapper_setup "${T}"
return
fi
done
@ -202,14 +244,19 @@ python-any-r1_pkg_setup() {
fi
done
local PYTHON_PKG_DEP
for i in "${rev_impls[@]}"; do
python_export "${i}" PYTHON_PKG_DEP EPYTHON PYTHON
if ROOT=/ has_version "${PYTHON_PKG_DEP}"; then
python_export "${i}" EPYTHON PYTHON
if _python_EPYTHON_supported "${EPYTHON}"; then
python_wrapper_setup "${T}"
return
fi
done
eerror "No Python implementation found for the build. This is usually"
eerror "a bug in the ebuild. Please report it to bugs.gentoo.org"
eerror "along with the build log."
echo
die "No supported Python implementation installed."
}
_PYTHON_ANY_R1=1

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.22 2013/04/14 00:10:00 floppym Exp $
# $Header: /var/cvsroot/gentoo-x86/eclass/python-utils-r1.eclass,v 1.23 2013/04/30 05:36:19 mgorny Exp $
# @ECLASS: python-utils-r1
# @MAINTAINER:
@ -493,8 +493,9 @@ _python_rewrite_shebang() {
local f
for f; do
local shebang=$(head -n 1 "${f}" | sed 's/\r$//')
local from
local from shebang
read -r shebang < "${f}"
shebang=${shebang%$'\r'}
debug-print "${FUNCNAME}: path = ${f}"
debug-print "${FUNCNAME}: shebang = ${shebang}"

@ -1 +1 @@
DIST classic_doom_3_131.zip 212329377 RMD160 6d4e2f562d853fc3cf7979a0ffa4b65803979a2b SHA1 7635fa85f733f46b5cbf68b3a098dc34b9938eb9 SHA256 32ed98f373573906d5f5082ad9a09ae0d65e4ae7c47e42cee8468b95e4ce8171
DIST classic_doom_3_131.zip 212329377 SHA256 32ed98f373573906d5f5082ad9a09ae0d65e4ae7c47e42cee8468b95e4ce8171

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-cdoom/doom3-cdoom-1.3.1.ebuild,v 1.3 2009/10/07 15:29:46 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-cdoom/doom3-cdoom-1.3.1.ebuild,v 1.4 2013/04/29 16:16:02 ulm Exp $
EAPI=2
@ -14,10 +14,10 @@ inherit games games-mods
HOMEPAGE="http://cdoom.d3files.com/"
SRC_URI="classic_doom_3_${PV//.}.zip"
LICENSE="as-is"
LICENSE="GameFront"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"
RESTRICT="fetch"
RESTRICT="fetch bindist"
pkg_nofetch() {
elog "Please download ${SRC_URI} from:"

@ -1 +1 @@
DIST chextrek_beta_052.zip 97683796 RMD160 5adf177ac7f74aba71a7035af6a95b406a11688e SHA1 b7a653108ac34a9a7160679b3fdc567dd659c1b6 SHA256 ddaecd0d9868a38455682c6fd870aac4724c53d8ac84cc93b9d8405fe7d72396
DIST chextrek_beta_052.zip 97683796 SHA256 ddaecd0d9868a38455682c6fd870aac4724c53d8ac84cc93b9d8405fe7d72396

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-chextrek/doom3-chextrek-0.52.ebuild,v 1.4 2009/10/07 17:16:41 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-chextrek/doom3-chextrek-0.52.ebuild,v 1.5 2013/04/29 16:16:41 ulm Exp $
EAPI=2
@ -14,10 +14,10 @@ inherit games-mods
HOMEPAGE="http://doom3.filefront.com/file/Chex_Trek_Beyond_the_Quest;82325"
SRC_URI="chextrek_beta_${PV/.}.zip"
LICENSE="as-is"
LICENSE="GameFront"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"
RESTRICT="fetch"
RESTRICT="fetch bindist"
pkg_nofetch() {
elog "Please download ${SRC_URI} from:"

@ -1 +1 @@
DIST ducttape0006.zip 65641 RMD160 0579fc1363f0d8ae9f3188e24c0f8a0e6aa440fa SHA1 61760294c5de0e166945d79040839f9ffaa8367b SHA256 2bd694dddc49466defbf8ac2cf32b1778145900cec1e7c255d91c050ae6b7423
DIST ducttape0006.zip 65641 SHA256 2bd694dddc49466defbf8ac2cf32b1778145900cec1e7c255d91c050ae6b7423

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-ducttape/doom3-ducttape-0006-r1.ebuild,v 1.4 2009/10/07 14:39:00 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-ducttape/doom3-ducttape-0006-r1.ebuild,v 1.5 2013/04/29 16:47:52 ulm Exp $
EAPI=2
@ -13,7 +13,7 @@ inherit games games-mods
HOMEPAGE="http://ducttape.glenmurphy.com/"
SRC_URI="http://ducttape.glenmurphy.com/ducttape${PV}.zip"
LICENSE="as-is"
LICENSE="freedist"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"

@ -1,2 +1,2 @@
DIST hardcorehellcampaign_patch.zip 532844 RMD160 6f5c31ba947552e5ca454d3f478c86f24cb23570 SHA1 051eeef62f6e3c70dbd67f6fd37286d9d68cc362 SHA256 98d0619e0dcd8f12bbb596c635831a37b396cab5fd49e004e95f6b8d0deefd92
DIST sp_hc_final.zip 113992555 RMD160 de405f4c50761d2e34fb38104df8c0e3b235b3f2 SHA1 f652e63def4dc1dd6f4d6a007b99a5db09003da9 SHA256 3b0c4b19139f5c3341a09d4169760f1eac1029e87587a44651cde4a4bc46bcd4
DIST hardcorehellcampaign_patch.zip 532844 SHA256 98d0619e0dcd8f12bbb596c635831a37b396cab5fd49e004e95f6b8d0deefd92
DIST sp_hc_final.zip 113992555 SHA256 3b0c4b19139f5c3341a09d4169760f1eac1029e87587a44651cde4a4bc46bcd4

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-hellcampaign/doom3-hellcampaign-1-r1.ebuild,v 1.4 2009/10/08 03:24:18 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-hellcampaign/doom3-hellcampaign-1-r1.ebuild,v 1.5 2013/04/29 16:18:42 ulm Exp $
EAPI=2
@ -14,10 +14,10 @@ HOMEPAGE="http://doom3.filefront.com/file/The_Ultimate_Hell_Campaign;52013"
SRC_URI="sp_hc_final.zip
hardcorehellcampaign_patch.zip"
LICENSE="as-is"
LICENSE="GameFront"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"
RESTRICT="fetch"
RESTRICT="fetch bindist"
pkg_nofetch() {
elog "Please download the following files:"

@ -1 +1 @@
DIST in_hell_v11.zip 356652597 RMD160 930a1dcf90fea94b4152c81b27f95d07cf58fe8c SHA1 c02e6925c9312d17d4d2284e1d075db29daaf3c4 SHA256 47437c4335b77e89705617841d3af9479ab4dbef124a4590c3a7ed9e92934cbe
DIST in_hell_v11.zip 356652597 SHA256 47437c4335b77e89705617841d3af9479ab4dbef124a4590c3a7ed9e92934cbe

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-inhell/doom3-inhell-1.1-r1.ebuild,v 1.5 2009/10/08 03:41:02 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-inhell/doom3-inhell-1.1-r1.ebuild,v 1.6 2013/04/29 16:19:30 ulm Exp $
EAPI=2
@ -13,10 +13,10 @@ inherit games games-mods
HOMEPAGE="http://www.doomerland.de.vu/"
SRC_URI="in_hell_v${PV/.}.zip"
LICENSE="as-is"
LICENSE="GameFront"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"
RESTRICT="fetch"
RESTRICT="fetch bindist"
pkg_nofetch() {
elog "Please download ${SRC_URI} from:"

@ -1 +1 @@
DIST LastManStandingCoop4Multiplatform.zip 309768743 RMD160 7dfbd3011bed301922b23728bf568745d171e6d0 SHA1 ff1b7fc732fe96a6f41144bbe7c8b8bf2a63ea21 SHA256 3e88196efc60a9046b9518a249c99021aca1c6341c654129a772b1f28f04c37e
DIST LastManStandingCoop4Multiplatform.zip 309768743 SHA256 3e88196efc60a9046b9518a249c99021aca1c6341c654129a772b1f28f04c37e

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-lms/doom3-lms-4.ebuild,v 1.2 2009/10/10 17:13:34 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/doom3-lms/doom3-lms-4.ebuild,v 1.3 2013/04/29 16:21:08 ulm Exp $
EAPI=2
@ -13,10 +13,10 @@ inherit games games-mods
HOMEPAGE="http://doom3coop.com/"
SRC_URI="LastManStandingCoop4Multiplatform.zip"
LICENSE="freedist"
LICENSE="GameFront"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"
RESTRICT="fetch"
RESTRICT="fetch bindist"
pkg_nofetch() {
elog "Please download ${SRC_URI} from:"

@ -1,2 +1,2 @@
DIST UnWheel-R5_BonusPack-Volume_1.zip 138178365 RMD160 ad6ed32614e5ccef18ec8a654667b1c089177d54 SHA1 e4efe499aeee409e16c8b460058ffcdce36b7f58 SHA256 dadc3538071b9853b11202ac1cdb7769bbbacde4ae03f78919b469dab997f2b5
DIST unwheel_r5.zip 596390232 RMD160 c0c52f39349c05182fa52bf80ac908663540d038 SHA1 dbe91f20badcffdca2c53c6dc09096b93de533a5 SHA256 30473f57f9da9b1f1da27f44c181f2e284bb22141163847100ce3ac446fa264d
DIST UnWheel-R5_BonusPack-Volume_1.zip 138178365 SHA256 dadc3538071b9853b11202ac1cdb7769bbbacde4ae03f78919b469dab997f2b5
DIST unwheel_r5.zip 596390232 SHA256 30473f57f9da9b1f1da27f44c181f2e284bb22141163847100ce3ac446fa264d

@ -1,6 +1,6 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2004-unwheel/ut2004-unwheel-0_beta5.ebuild,v 1.5 2009/10/09 01:39:46 nyhm Exp $
# $Header: /var/cvsroot/gentoo-x86/games-fps/ut2004-unwheel/ut2004-unwheel-0_beta5.ebuild,v 1.6 2013/04/29 16:23:09 ulm Exp $
EAPI=2
@ -14,10 +14,10 @@ HOMEPAGE="http://unwheel.beyondunreal.com/"
SRC_URI="unwheel_r5.zip
UnWheel-R5_BonusPack-Volume_1.zip"
LICENSE="freedist"
LICENSE="GameFront"
KEYWORDS="amd64 x86"
IUSE="dedicated opengl"
RESTRICT="fetch"
RESTRICT="fetch bindist"
pkg_nofetch() {
elog "Please download the following files:"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/akonadiconsole/akonadiconsole-4.10.2.ebuild,v 1.1 2013/04/06 00:04:53 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/akonadiconsole/akonadiconsole-4.10.2.ebuild,v 1.3 2013/04/30 09:39:50 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="Akonadi developer console"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/akregator/akregator-4.10.2.ebuild,v 1.1 2013/04/06 00:04:57 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/akregator/akregator-4.10.2.ebuild,v 1.3 2013/04/30 09:39:44 ago Exp $
EAPI=5
@ -9,7 +9,7 @@ KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="KDE news feed aggregator."
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/amor/amor-4.10.2.ebuild,v 1.1 2013/04/06 00:04:35 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/amor/amor-4.10.2.ebuild,v 1.3 2013/04/30 09:40:08 ago Exp $
EAPI=5
@ -14,7 +14,7 @@ KDE_HANDBOOK="optional"
inherit ${eclass}
DESCRIPTION="KDE: Amusing Misuse Of Resources - desktop-dwelling creature"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="x11-libs/libX11

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/analitza/analitza-4.10.2.ebuild,v 1.1 2013/04/06 00:04:21 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/analitza/analitza-4.10.2.ebuild,v 1.3 2013/04/30 09:40:24 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KDE_HANDBOOK="never"
inherit kde4-base
DESCRIPTION="KDE library for mathematical features"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug readline"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/ark/ark-4.10.2.ebuild,v 1.1 2013/04/06 00:04:23 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/ark/ark-4.10.2.ebuild,v 1.3 2013/04/30 09:40:33 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KDE_HANDBOOK="optional"
inherit kde4-base
DESCRIPTION="KDE Archiving tool"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="+archive +bzip2 debug lzma"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/attica/attica-4.10.2.ebuild,v 1.1 2013/04/06 00:04:20 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/attica/attica-4.10.2.ebuild,v 1.3 2013/04/30 09:40:21 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KMNAME="kde-runtime"
inherit kde4-meta
DESCRIPTION="Open Collaboration Services provider management"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~x86-fbsd ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/audiocd-kio/audiocd-kio-4.10.2.ebuild,v 1.1 2013/04/06 00:04:35 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/audiocd-kio/audiocd-kio-4.10.2.ebuild,v 1.3 2013/04/30 09:39:54 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KDE_HANDBOOK="optional"
inherit kde4-base
DESCRIPTION="KDE kioslaves from the kdemultimedia package"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug encode flac vorbis"
# 4 of 9 tests fail. Last checked for 4.2.88

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/blinken/blinken-4.10.2.ebuild,v 1.1 2013/04/06 00:05:03 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/blinken/blinken-4.10.2.ebuild,v 1.3 2013/04/30 09:40:05 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KDE_HANDBOOK="optional"
inherit kde4-base
DESCRIPTION="KDE version of the Simon Says game."
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/blogilo/blogilo-4.10.2.ebuild,v 1.1 2013/04/06 00:05:07 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/blogilo/blogilo-4.10.2.ebuild,v 1.3 2013/04/30 09:39:53 ago Exp $
EAPI=5
@ -9,7 +9,7 @@ KMNAME="kdepim"
inherit kde4-meta
DESCRIPTION="KDE Blogging Client"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/bomber/bomber-4.10.2.ebuild,v 1.1 2013/04/06 00:04:37 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/kde-base/bomber/bomber-4.10.2.ebuild,v 1.3 2013/04/30 09:39:50 ago Exp $
EAPI=5
@ -8,7 +8,7 @@ KDE_HANDBOOK="optional"
inherit kde4-base
DESCRIPTION="KDE arcade bombing game"
KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~ppc64 x86 ~amd64-linux ~x86-linux"
IUSE="debug"
DEPEND="$(add_kdebase_dep libkdegames)"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save